// 网络层事件
export class NetworkEvent {
    // 网络遮罩计数
    public static readonly WAIT = 'WAIT';
    // 关闭网络遮罩
    public static readonly WAIT_CLOSE = 'WAIT_CLOSE';
    // 登录请求失败
    public static readonly LOGIN_FAILED = 'LOGIN_FAILED';
    // 超时
    public static readonly ON_TIME_OUT = 'ON_TIME_OUT';
    // 请求回调数据异常
    public static readonly ON_EXCEPTION = 'ON_EXCEPTION';
    public static readonly NETWAIT_MASK = "NetworkEvent.NETWAIT_MASK";    // 强制要求先后顺序的请求时,打开遮罩
}
// UI事件
export class GUIEvent {
    public static readonly SHOW_MASK = 'GUIEvent.SHOW_MASK'//UI遮罩
    public static readonly CLOSE_AUTO_OPEN_UI = 'GUIEvent.CLOSE_AUTO_OPEN_UI' // 自动打开的窗口-关闭通知
    public static readonly SHOW_EMPTY_MASK = 'GUIEvent.SHOW_EMPTY_MASK'//UI空白遮罩
}
// socket事件
export class SocketEvent {
    public static readonly SOCKET_OPEN = 'SOCKET_OPEN';
    public static readonly SOCKET_CLOSE = 'SOCKET_CLOSE';
}
// 游戏事件
export class GameEvent {
    public static readonly LOGIN_ACCOUNT_SUCC = 'GameEvent.LOGIN_ACCOUNT_SUCC'; // 账号登录成功
    public static readonly LOGIN_ACCOUNT_FAIL = 'GameEvent.LOGIN_ACCOUNT_FAIL'; // 账号登录失败
    public static readonly LOGIN_USER_SUCC = 'GameEvent.LOGIN_USER_SUCC'; // 角色登录成功
    public static readonly LOGIN_USER_FAIL = 'GameEvent.LOGIN_USER_FAIL'; // 角色登录失败
    public static readonly UP_RED_DOT = 'GameEvent.UP_RED_DOT'; // 刷新红点
    public static readonly UP_ACT_RWD_OPT = 'GameEvent.UP_ACT_RWD_OPT'; // 杂项奖励更新
    public static readonly ON_CLICK = 'GameEvent.ON_CLICK'; // 点击事件
    public static readonly PAGE_CHANGED = 'GameEvent.PAGE_CHANGED'; // 页面变化,打开和关闭时均会触发
    public static readonly CLICK_SERVER_TAG = 'GameEvent.CLICK_SERVER_TAG' // 点击切换服务器标签
    public static readonly ON_REFRESH_COLOR = 'GameEvent.ON_REFRESH_COLOR' // 渐变色刷新
    public static readonly CLOSE_GZH = 'GameEvent.CLOSE_GZH' // 关闭公众号界面,登录按钮归位
    public static readonly WX_AUTH_SUCC = 'GameEvent.WX_AUTH_SUCC' // 用户授权成功(去掉所有授权按钮)
    public static readonly ON_SHOW_APP = 'GameEvent.ON_SHOW_APP' // 应用激活时触发(比如从广告回来,分享回来)
    public static readonly SHOW_TASK_NODE_ANI = "SHOW_TASK_NODE_ANI";    // BASE_POP.Battle类型界面的打开|隐藏时主界面上的快捷任务节点动画
    public static readonly UP_HD_RED = "GameEvent.UP_HD_RED";    // 更新活动红点
    public static readonly UP_GONGGAO_LIST = "GameEvent.UP_GONGGAO_LIST";    // 刷新公告列表
}
// 加载事件
export class LoadEvent {
    public static readonly LOAD_PROGRESS = "LoadEvent.LOAD_PROGRESS" // 加载页进度变化
    public static readonly LOAD_POLICY_AGREE = "LoadEvent.LOAD_POLICY_AGREE" // 同意或拒绝操作
    public static readonly LOAD_POLICY_TIP_AGREE = "LoadEvent.LOAD_POLICY_TIP_AGREE" // 首页同意或拒绝操作
    public static readonly LOAD_MESSAGE = "LoadEvent.LOAD_MESSAGE" // 显示加载页面的消息(测试用)
    public static readonly LOAD_ENTER = "LoadEvent.LOAD_ENTER" // 显示加载页面的消息(测试用)
    public static readonly SHOW_LOGIN_BTN = "LoadEvent.SHOW_LOGIN_BTN" // 显示登录按钮(SDK登录窗口消失时，可调用，显示登录按钮，点击再拉起SDK登录)
}
// 区服事件
export class ServerEvent {
    public static readonly SET_LOGIN_SID = "LoadEvent.SET_LOGIN_SID" // 设定登录游戏的区服ID
    public static readonly CLOSE_SERVER_VIEW = "LoadEvent.CLOSE_SERVER_VIEW" // 关闭服务器选择界面
}
// 时间回调事件
export class TimeEvent {
    public static readonly TIME_CD = "TimeEvent.TIME_CD"
    public static readonly FIGHT_TIME_CD = "TimeEvent.FIGHT_TIME_CD"
    public static readonly TIME_FRAME_CD = "TimeEvent.TIME_FRAME_CD"
}
// 窗口事件
export class WindowEvent {
    public static readonly POP_MSG = 'WindowEvent.POP_MSG';//文字提示
    public static readonly POP_ITEM = 'WindowEvent.POP_ITEM';//道具飘窗
    public static readonly SHOW_MSG_CUBE = 'WindowEvent.SHOW_MSG_CUBE';//文字提示(黑色底举行典礼弹窗)
    public static readonly POP_EP_ITEM = 'WindowEvent.POP_EP_ITEM';//属性变化飘窗
    public static readonly SHOW_SYS_DIALOG = 'WindowEvent.SHOW_SYS_DIALOG';//显示系统弹窗
    public static readonly CLOSE_UI = 'WindowEvent.CLOSE_UI';// 关闭界面
    public static readonly SHOW_DEBUG = 'WindowEvent.SHOW_DEBUG';//显示调试面板
}
//玩家信息事件
export class UserEvent {
    public static readonly UP_USER = 'UserEvent.UP_USER' // 角色数据更新
    public static readonly SHOW_HAND = 'UserEvent.SHOW_HAND' // 显示手势
    public static readonly HIDE_HAND = 'UserEvent.HIDE_HAND' // 隐藏手势
    public static readonly UP_LEVEL = 'UserEvent.UP_LEVEL' // 显示手势
    public static readonly SET_NAME_SUCC = 'UserEvent.SET_NAME_SUCC' // 修改名字成功
    public static readonly CHARGESUCC = 'UserEvent.CHARGESUCC' // 充值成功
    public static readonly SELECTHEAD = 'UserEvent.SELECTHEAD' // 选中头像
    public static readonly BTNTOUCHEND = 'UserEvent.BTNTOUCHEND'// 按钮点击结束
    public static readonly BTNTOUCHDISABLE = 'UserEvent.BTNTOUCHDISABLE'// 按钮点击事件移除
}
//平台事件
export class PlatEvent {
    public static readonly GOT_USER_INFO = "PvwEvent.GOT_USER_INFO" // 获取到了个人信息
    public static readonly ON_SCENE_CHANGED = "PvwEvent.ON_SCENE_CHANGED" // 场景值变化
}

//订阅事件
export class SubscribeEvent {
    public static readonly ON_SUBSCRIBE = "SubscribeEvent.ON_SUBSCRIBE" // 订阅消息开关变化时
}
// 头像事件
export class setHeadEvent {
    public static readonly SETHEAD_SELECT_HEAD = 'setHeadEvent.SETHEAD_SELECT_HEAD'; // 选择头像
    public static readonly SETHEAD_UPDATE_SELECT = 'setHeadEvent.SETHEAD_UPDATE_SELECT'; // 更新选择框
}
// 称号
export class setChengHaoEvent {
    public static readonly SELECT_CHENGHAO = 'setChengHaoEvent.SELECT_CHENGHAO'; // 选择称号
    public static readonly USE_CHENGHAO = 'setChengHaoEvent.USE_CHENGHAO'; // 穿戴称号
}
// 引导事件
export class GuideEvent {
    public static readonly GUIDE_EVENT = 'GuideEvent.GUIDE_EVENT';
    public static readonly GUIDE_SLOT = 'GuideEvent.GUIDE_SLOT'; //触发剧情引导
    public static readonly CLOSE_GUIDE = 'GuideEvent.CLOSE_GUIDE';
    public static readonly UPDATE_TXTMSG = 'GuideEvent.UPDATE_TXTMSG';
    public static readonly HIDE_HAND = 'GuideEvent.HIDE_HAND' // 隐藏手势
    public static readonly SHOW_HAND = 'GuideEvent.SHOW_HAND' // 显示手势
    public static readonly HANDMASK_SHOW = 'GuideEvent.HANDMASK_SHOW';
}

export class WeekGuideEvent {
    public static readonly GUIDE_EVENT = 'WeekGuideEvent.GUIDE_EVENT'; //触发弱引导手指
    public static readonly TRIGGER_GUIDE = 'WeekGuideEvent.TRIGGER_GUIDE'; //弱引导触发分发事件
}
// 主线事件
export class TaskMainEvent {
    public static readonly UP_INFO = "TaskMainEvent.UP_INFO" // 刷新所有数据
    public static readonly TASK_FINISH = "TaskMainEvent.TASK_FINISH" // 任务完成事件
    public static readonly TASk_POP_CLOSE = "TaskMainEvent.TASK_POP_CLOSE" // 关闭任务弹窗
    public static readonly TASk_RWD_SUC = "TaskMainEvent.TASk_RWD_SUC" // 主线任务领取成功
}
// 未解锁事件
export class UnlockEvent {
    public static readonly SHOW_UNLOCK_ANIM = 'UnlockEvent.SHOW_UNLOCK_ANIM';
    public static readonly UNLOCK_TYPE = 'UnlockEvent.UNLOCK_TYPE'; //功能开启
}
// 战力事件
export class ZhanLiEvent {
    public static readonly ZHANLI_UP_HOME_ZHANLI = 'ZHANLIEVENT.ZHANLI_UP_HOME_ZHANLI'; // 更新首页战力
    public static readonly ZHANLI_SHOW_ZHANLI_BANNER = 'ZHANLIEVENT.ZHANLI_SHOW_ZHANLI_BANNER'; // 显示战力横幅
}

export class XiantuEvent {
    public static readonly XIANTU_UPDATE_INFO = "XiantuEvent.XIANTU_UPDATE_INFO";//更新仙途数据
}

export class HdActPreEvent {
    public static readonly UP_DAY_RWD = "HdActPreEvent.UP_DAY_RWD";//更新每日奖励
}

export class YiXiangEvent {
    public static readonly UP_INFO = 'YiXiangEvent.UP_INFO'
    public static readonly SELECT_YIXIANG = 'YiXiangEvent.SELECT_YIXIANG'
    public static readonly UP_LEVEL = 'YiXiangEvent.UP_LEVEL'
    public static readonly CHANGE_YIXIANG = 'YiXiangEvent.CHANGE_YIXIANG'
}

export class digongEvent {
    public static readonly DIGONG_CLICK_BLOCKITEM = 'digongEvent.DIGONG_CLICK_BLOCKITEM'; // 点击地宫区块
    public static readonly DIGONG_CANCEL_FIGHT = 'digongEvent.DIGONG_CANCEL_FIGHT'; // 取消战斗
    public static readonly DIGONG_UPDATE_MAP = 'digongEvent.DIGONG_UPDATE_MAP'; // 更新地宫地图数据
    public static readonly DIGONG_UPDATE_CENG = 'digongEvent.DIGONG_UPDATE_CENG'; // 更新地宫层数
    public static readonly DIGONG_UPDATE_ROLE_POS = 'digongEvent.DIGONG_UPDATE_ROLE_POS'; // 更新地宫角色移动位置
    public static readonly DIGONG_UPDATE_ROLE = 'digongEvent.DIGONG_UPDATE_ROLE'; // 更新地宫主角
    public static readonly DIGONG_CLOSE_AUTO = 'digongEvent.DIGONG_CLOSE_AUTO'; // 关闭自动
    public static readonly DIGONG_ROLE_STOP = 'digongEvent.DIGONG_ROLE_STOP'; //停止人物移动
    public static readonly DIGONG_AUTO = 'digongEvent.DIGONG_AUTO'; // 自动
    public static readonly DIGONG_FREE_NUM = 'digongEvent.DIGONG_FREE_NUM'; // 广告免费道具
    public static readonly DIGONG_ZHENRONG = 'digongEvent.DIGONG_ZHENRONG'; // 阵容更新
    public static readonly DIGONG_HP_UPDATE = 'digongEvent.DIGONG_HP_UPDATE'; // 前端hp表现更新
    public static readonly DIGONG_TASK = 'digongEvent.DIGONG_TASK'; // 地宫任务更新
    public static readonly DIGONG_STRONG = 'digongEvent.DIGONG_STRONG'; // 地宫强力丸
}

export class XianYuEvent {
    public static readonly XIANYU_QIFU = 'XianYuEvent.XIANYU_QIFU'; // 仙域祈福
    public static readonly XIANYU_XML = 'XianYuEvent.XIANYU_XML'; // 仙域仙名录红点
    public static readonly XIANYU_CIFU = 'XianYuEvent.XIANYU_CIFU'; // 仙域仙赐福
    public static readonly XIANYU_TREERWD = 'XianYuEvent.XIANYU_TREERWD'; // 仙域仙树领取奖励
    public static readonly XIANYU_TJROLESHOP = 'XianYuEvent.XIANYU_TJROLESHOP'; // 仙域天骄主角商店
    public static readonly XIANYU_TJHUOBANSHOP = 'XianYuEvent.XIANYU_TJHUOBANSHOP'; // 仙域天骄伙伴商店
}

export class TaiChuEvent {
    public static readonly SET_AUTO = 'TaiChuEvent.SET_AUTO'; // 太初古矿设置自动状态
    public static readonly AFTER_DIG = 'TaiChuEvent.AFTER_DIG'; // 挖掘后处理,检测视野背景移动等
    public static readonly WJ_BLOCK = 'TaiChuEvent.SEND_WJ'; // 发送挖掘
    public static readonly UPDATE_MAP = 'TaiChuEvent.UPDATE_MAP'; // 更新地图信息
    public static readonly SELECT_USE_ITEM = 'TaiChuEvent.SELECT_USE_ITEM'; // 设置使用道具
    public static readonly AD_KIND11 = 'TaiChuEvent.AD_KIND11'; // 广告信息更新
    public static readonly POP_RWD = 'TaiChuEvent.POP_RWD'; // 奖励效果
    public static readonly RESTART_GAME = 'TaiChuEvent.RESTART_GAME'; // 报错重启
    public static readonly DEBUG_SHOW_NUM = 'TaiChuEvent.DEBUG_SHOW_NUM'; // 显示格子信息
    public static readonly CLOSE_TAICHU = 'TaiChuEvent.CLOSE_TAICHU'; // 关闭太初界面
}

export class HdSignGiftEvent {
    public static readonly RECHARGE_SUCCESS = 'HdSignGiftEvent.RECHARGE_SUCCESS'; // 签到成功
}

export class HdDayTeJiaEvent {
    public static readonly DAYTEJIA_UPDATE_INFO = 'HdDayTeJiaEvent.DAYTEJIA_UPDATE_INFO'; // 每日特价更新数据
    public static readonly UP_RED = 'HdDayTeJiaEvent.UP_RED'; // 每日特价更新数据
}

export class HdDayTeHuiEvent {
    public static readonly DAYTEHUI_UPDATE_INFO = 'HdDayTeHuiEvent.DAYTEHUI_UPDATE_INFO'; // 每日礼包更新数据
}

export class HdChargeDaysEvent {
    public static readonly CHARGEDAYS_UPDATE_INFO = 'HdChargeDaysEvent.CHARGEDAYS_UPDATE_INFO'; // 累天礼包更新数据
}

export class HdChargeTotalEvent {
    public static readonly CHARGETOTAL_UPDATE_INFO = 'HdChargeTotalEvent.CHARGETOTAL_UPDATE_INFO'; // 累充礼包更新数据
}

export class HdGrowthFundEvent {
    public static readonly UPDATE_DATA = 'HdGrowthFundEvent.UPDATE_DATA'; // 成长基金刷新数据
    public static readonly UPDATE_RED = 'HdGrowthFundEvent.UPDATE_ED'; // 基金刷新数据
    public static readonly UP_ENTRBTN_RED = 'HdGrowthFundEvent.UP_ENTRBTN_RED'; // 刷新成长礼包入口按钮红点
}

export class HdHuaLianEvent {
    public static readonly HUALIAN_UP_UI = "HdHuaLianEvent.HUALIAN_UP_UI";// 神韵化莲更新UI
    public static readonly HUALIAN_UP_SCORE_UI = "HdHuaLianEvent.HUALIAN_UP_SCORE_UI";// 神韵化莲更新积分UI
    public static readonly HUALIAN_UPDATE_GIFT_VIEW = "HdHuaLianEvent.HUALIAN_UPDATE_GIFT_VIEW";// 更新礼包界面
}

export class HdJiYuanEvent {
    public static readonly UP_MAIN_UI = "HdJiYuanEvent.UP_MAIN_UI" // 刷新主界面
    public static readonly CLOSE_UI = "HdJiYuanEvent.CLOSE_UI" // 关闭界面
    public static readonly UP_RWD_UI = "HdJiYuanEvent.UP_RWD_UI" // 刷新等级奖励界面
    public static readonly UP_YUERWD_UI = "HdJiYuanEvent.UP_YUERWD_UI" // 刷新月等级奖励界面
    public static readonly UP_TASK_UI = "HdJiYuanEvent.UP_TASK_UI" // 刷新任务界面
    public static readonly UP_GIFT_UI = "HdJiYuanEvent.UP_GIFT_UI" // 刷新礼包界面
    public static readonly UP_RED_DOT = "HdJiYuanEvent.UP_RED_DOT"
}

export class HdKaifuEvent {
    public static readonly UP_OUTF = 'HdKaifuEvent.UP_OUTF'; // 更新个人数据信息
    public static readonly CLOSE_UI = 'HdKaifuEvent.CLOSE_UI'; //关闭开服庆典界面
}

export class HdWuLingEvent {
    public static readonly UPDATE_INFO = "HdWuLingEvent.UPDATE_INFO"; //更新武林数据
    public static readonly SELECT_COURSE = "HdWuLingEvent.SELECT_COURSE"; //更新武林数据
}

export class HdLunHuiEvent {
    public static readonly LUNHUI_UP_TASK_INFO = "LunHuiEvent.LUNHUI_UP_TASK_INFO";//更新天道轮回任务数据
    public static readonly LUNHUI_UP_GIFT_INFO = "LunHuiEvent.LUNHUI_UP_GIFT_INFO";//更新天道轮回礼包数据
}

// 限时福利礼包
export class HdTimeBenEvent {
    public static readonly UP_OUFT = 'HdTimeActEvent.UP_OUFT';//限时福利礼包状态刷新
    public static readonly SELECT_TOGGLE = 'HdTimeBenEvent.SELECT_TOGGLE';//选择标签页
}

// 伙伴礼包
export class HdHuoBanGiftEvent {
    public static readonly UP_VIEW = 'HdHuoBanGiftEvent.UP_VIEW';//刷新界面
}

// 新手礼包
export class HdNewHandEvent {
    public static readonly UP_VIEW = 'HdNewHandEvent.UP_VIEW'; // 刷新界面
    public static readonly SELECT_PAGE = 'HdNewHandEvent.SELECT_PAGE'; // 选择页签
}

//地图事件
export class MapEvent {
    public static readonly ADD_CHARACTER = "ADD_CHARACTER";    //新增人物模型
    public static readonly REMOVE_CHARACTER = "REMOVE_CHARACTER";
    public static readonly ONCHANG_MONSTER_STATE = "ONCHANG_MONSTER_STATE";  // 切换怪物状态
    public static readonly ONCHANGE_MAP = "CHANGE_MAP"; // 切换地图类型
    public static readonly ONCHANGE_TIMESCALE = "ONCHANGE_TIMESCALE"; // 播放动画速度变化
    public static readonly UPDATE_CHAPTER = "UPDATE_CHAPTER";   // 刷新章节进度
    public static readonly AUTO_FIGHT_STATE = "AUTO_FIGHT_STATE";   // 自动探索地图状态变化
    public static readonly JOYSTICK_UP = "JOYSTICK_UP";//摇杆弹起
    public static readonly JOYSTICK_DOWN = "JOYSTICK_DOWN";//摇杆按下
    public static readonly MAP_CAIDAN_OPEN = "MAP_CAIDAN_OPEN";//彩蛋开启
    public static readonly MAP_PAUSE = "MAP_PAUSE";//暂停地图所有行为
    public static readonly MAP_RESUME = "MAP_RESUME";//恢复地图所有行为
    public static readonly MAP_FIGHT_BOSS = "MAP_FIGHT_BOSS";//开始boss战斗
    public static readonly MAP_POFENG_SUC = "MAP_POFENG_SUC";   // 破封成功
    public static readonly MAP_SHOW_YUMEN = "MAP_SHOW_YUMEN";   // 域门显示
    public static readonly MAP_NEAR_YUMEN = "MAP_PLAYER_LOCATION";   // 主角位置接近域门
    public static readonly MAP_TEST_BTN = "MAP_TEST_BTN";   // 测试按钮
    public static readonly MAP_JOYSTICK_OPEN = "MAP_JOYSTICK_OPEN";   // 摇杆生效
    public static readonly MAP_NEAR_CAIDAN = "MAP_NEAR_CAIDAN";   // 主角接近彩蛋
    public static readonly MAP_GUIDE_BOSS_HP = "MAP_GUIDE_BOSS_HP";   // boss引导血量
    public static readonly MAP_GUIDE_BOSS_DROP = "MAP_GUIDE_BOSS_DROP";   // boss引导掉落物品
    public static readonly MAP_GUIDE2_BOSS_DIED = "MAP_GUIDE2_BOSS_DIED";   // 剧情2boss死亡
    public static readonly MAP_GUIDE_SKIP = "MAP_GUIDE_SKIP";   // 地图引导跳过
    public static readonly MAP_ONLINE_REWARD = "MAP_ONLINE_REWARD";   // 挂机奖励时间变化
    // public static readonly MAP_CREATE_BOXMONSTER = "MAP_CREATE_BOXMONSTER";   // 创建宝箱怪物
    public static readonly HOME_FADE_OUT = "HOME_FADE_OUT";   // 主界面淡出事件
    public static readonly HOME_FADE_IN = "HOME_FADE_IN";   // 主界面淡入事件
    public static readonly SHOW_MAP_GUIDE_SKIP = 'GUIEvent.SHOW_MAP_GUIDE_SKIP'//引导剧情跳过页面
    public static readonly SHOW_MAP_GUIDE_SKIP_BTN = 'GUIEvent.SHOW_MAP_GUIDE_SKIP_BTN'//引导剧情跳过页面按钮显示
    public static readonly MAP_CHANGE_SKIN = 'MapEvent.MAP_CHANGE_SKIN'//修改皮肤
    public static readonly MAP_SHUFA_INIT = 'MapEvent.MAP_SHUFA_INIT'//术法初始化
}

/** 罗浮仙域 */
export class LuoFuEvent {
    public static readonly LUOFU_UP_ENTR_UI = "LuoFuEvent.LUOFU_UP_ENTR_UI"; // 更新入口UI
    public static readonly LUOFU_UP_UI = "LuoFuEvent.LUOFU_UP_UI"; // 更新UI
    public static readonly LUOFU_UP_LEVEL_UI = "LuoFuEvent.LUOFU_UP_LEVEL_UI"; // 更新个人关卡UI
    public static readonly LUOFU_UP_REACH_UI = "LuoFuEvent.LUOFU_UP_REACH_UI"; // 更新个人达成UI
}

export class YunShiEvent {
    public static readonly YUNSHI_UPDATE_INFO = "YunShiEvent.YUNSHI_UPDATE_INFO";
    public static readonly ADD_COUNT = 'YunShiEvent.ADD_COUNT';
    public static readonly REFRESH_YUNSHI = 'YunShiEvent.REFRESH_YUNSHI';
    public static readonly YUNSHI_UPDATE_RWD_SELECT = "YunShiEvent.YUNSHI_UPDATE_RWD_SELECT";
    public static readonly YUNSHI_UPDATE_LINGHT_OPEN = "YunShiEvent.YUNSHI_UPDATE_LINGHT_OPEN";
    public static readonly YUNSHI_UPDATE_LINGHT_OFF = "YunShiEvent.YUNSHI_UPDATE_LINGHT_OFF";
    public static readonly YUNSHI_UPDATE_ADD_ANIMATION = "YunShiEvent.YUNSHI_UPDATE_ADD_ANIMATION";
    public static readonly YUNSHI_UPDATE_SHOW_RWD = "YunShiEvent.YUNSHI_UPDATE_SHOW_RWD";
}

export class daoYouEvent {
    public static readonly DAOYOU_UPDATE_INFO = 'daoYouEvent.DAOYOU_UPDATE_INFO'; // 更新道友数据
    public static readonly DAOYOU_UPDATE_HGDINFO = 'daoYouEvent.DAOYOU_UPDATE_HGDINFO'; // 更新道友好感度数据
    public static readonly DAOYOU_SHOW_POPTIPS = 'daoYouEvent.DAOYOU_SHOW_POPTIPS'; // 展示上漂数字
    public static readonly DAOYOU_UPDATE_HGDRWD = 'daoYouEvent.DAOYOU_UPDATE_HGDRWD'; // 更新好感度道具
}

// 道具事件
export class ItemEvent {
    public static readonly UP_ITEM = 'ItemEvent.UP_ITEM' // 背包更新
    public static readonly SHOW_ITEM_DETAIL = 'ItemEvent.SHOW_ITEM_DETAIL' // 背包更新
    public static readonly SELECT_ITEM_ID = 'ItemEvent.SELECT_ITEM_ID' // 选中背包自选道具
}

// 排行榜事件
export class RankEvent {
    public static readonly UP_RANK_LIST = "RankEvent.UP_RANK_LIST"  // true 代表a  false代表u
    public static readonly UP_RANK_MY = "RankEvent.UP_RANK_MY"  // 
}

// 大帝古字事件
export class DaDiGuZiEvent {
    public static readonly DADIGUZI_DEALPLAYEFFECT = "DaDiGuZi.DADIGUZI_DEALPLAYEFFECT"; // 处理完装备后播放遗忘特效
    public static readonly DADIGUZI_AUTO_STARTANI = "DaDiGuZi.DADIGUZI_AUTO_STARTANI"; // 刷新主界面自动参悟时的动画
    // public static readonly DADIGUZI_AUTO_START = "DaDiGuZi.DADIGUZI_AUTO_START"; // 开始自动参悟
    public static readonly DADIGUZI_UPMAINGUZIICON = "DaDiGuZi.DADIGUZI_UPMAINGUZIICON";// 刷新主界面古字和信息
    public static readonly DADIGUZI_PLAYGUZISPINE = "DaDiGuZi.DADIGUZI_PLAYGUZISPINE"; // 古字替换或者穿戴时,播放穿戴特效
    public static readonly DADIGUZI_OPENBAG = "DaDiGuZi.DADIGUZI_OPENBAG"; // 打开古字背包
    public static readonly DADIGUZI_UPDAZAOCOUNT = "DaDiGuZi.DADIGUZI_UPDAZAOCOUNT"; // 刷新打造数量
    public static readonly DADIGUZI_UPGUZIBAGLIST = "DaDiGuZi.DADIGUZI_UPGUZIBAGLIST"; // 刷新古字背包列表
    public static readonly DADIGUZI_UPGUZIGETCOUNT = "DaDiGuZi.DADIGUZI_UPGUZIGETCOUNT"; // 刷新飘动的古字
    public static readonly DADIGUZI_UPGUZIQIPAO = "DaDiGuZi.DADIGUZI_UPGUZIQIPAO"; // 刷新府邸界面古字气泡
    // public static readonly DADIGUZI_SENDCANWUBACK = "DaDiGuZi.DADIGUZI_SENDCANWUBACK"; // 古字参悟后的回调
    // 术法
    public static readonly DADIGUZI_UPDATE_MIFAMAINVIEW = "DaDiGuZi.DADIGUZI_UPDATE_MIFAMAINVIEW"; // 术法主界面刷新
    public static readonly DADIGUZI_UPDATE_MIFARESET = "DaDiGuZi.DADIGUZI_UPDATE_MIFARESET"; // 术法重置后刷新术法详情
    public static readonly DADIGUZI_UPDATE_MIFAFENJIEVIEW = "DaDiGuZi.DADIGUZI_UPDATE_MIFAFENJIEVIEW"; // 刷新术法分解界面
    public static readonly DADIGUZI_UPDATE_MIFAFENJIEPRO = "DaDiGuZi.DADIGUZI_UPDATE_MIFAFENJIEPRO"; // 刷新术法分解界面-进度条
    public static readonly DADIGUZI_SELECT_SHUFA_ITEM = "DaDiGuZi.DADIGUZI_SELECT_SHUFA_ITEM"; // 选择术法
    public static readonly DADIGUZI_UPDATE_MIFAMINGWEN = "DaDiGuZi.DADIGUZI_UPDATE_MIFAMINGWEN"; // 刷新术法详情里的铭文
    // public static readonly DADIGUZI_UPDATE_MIFADETAIL = "DaDiGuZi.DADIGUZI_UPDATE_MIFADETAIL"; // 刷新术法详情界面
    public static readonly DADIGUZI_UPDATE_MINGWENSELECT = "DaDiGuZi.DADIGUZI_UPDATE_MINGWENSELECT"; // 刷新铭文选中
    // public static readonly DADIGUZI_UPDATE_MIFALIST = "DaDiGuZi.DADIGUZI_UPDATE_MIFALIST"; // 刷新术法列表
    public static readonly DADIGUZI_CLICKEMPTYSHUFA = "DaDiGuZi.DADIGUZI_CLICKEMPTYSHUFA"; // 术法主界面，点击空的术法
    public static readonly DADIGUZI_UPSHUFALINGWU = "DaDiGuZi.DADIGUZI_UPSHUFALINGWU"; // 刷新术法领悟
}

// 登神榜事件
export class HdDengShenEvent {
    public static readonly UP_INFO = "HdDengShenEvent.UP_INFO";// 登神更新数据
    public static readonly DENGSHEN_UPDATE_LEVEL = "HdDengShenEvent.DENGSHEN_UPDATE_LEVEL"; // 战斗后刷新等级
    public static readonly DENGSHEN_UPDATE_LOG = "HdDengShenEvent.DENGSHEN_UPDATE_LOG";// 更新日志
    public static readonly DENGSHEN_SHOWSPHAND = "HdDengShenEvent.DENGSHEN_SHOWSPHAND";// 显示指引手指
}

// 修行事件
export class XiuXingEvent {
    public static readonly SWITCH_PAGE = "XiuXingEvent.SWITCH_PAGE";// 切换页签
}

export class ShopEvent {
    public static readonly SHOP_DAOJU = 'ShopEvent.SHOP_DAOJU'//商店-道具
    public static readonly SHOP_GEM = 'ShopEvent.SHOP_GEM'//商店-钻石
    public static readonly SHOP_VOUCHER = 'ShopEvent.SHOP_VOUCHER'//商店-代金券
    public static readonly SWITCH_TAG = 'ShopEvent.SWITCH_TAG'//切换商城标签  0,1,2
}

export class HdChongBangEvent {
    public static readonly CHONGBANG_UPDATE_INFO = "HdChongBangEvent.CHONGBANG_UPDATE_INFO";//冲榜更新数据
    public static readonly CHONGBANG_UPDATE_INFO_MY = "HdChongBangEvent.CHONGBANG_UPDATE_INFO_MY";//冲榜玩家自身更新数据
    public static readonly CHONGBANG_UPDATE_RWD = "HdChongBangEvent.CHONGBANG_UPDATE_RWD";//冲关礼包刷新
}

export class HdSpeGiftEvent {
    public static readonly GET_SUCCESS = 'HdSpeGiftEvent.GET_SUCCESS';
    public static readonly PLAY_BUY_EFFECT = 'HdSpeGiftEvent.PLAY_BUY_EFFECT';
}

export class HdPriCardEvent {
    public static readonly MONTH_RECHARGE_SUCCESS = 'HdPriCardEvent.MONTH_RECHARGE_SUCCESS';
    public static readonly FEVER_RECHARGE_SUCCESS = 'HdPriCardEvent.FEVER_RECHARGE_SUCCESS';
    public static readonly CARD_REFRESH = 'HdPriCardEvent.CARD_REFRESH';
    public static readonly BUY_REFRESH = 'HdPriCardEvent.BUY_REFRESH';
}

export class beiBaoEvent {
    public static readonly BEIBAO_UPDATE_INFO = 'beiBaoEvent.BEIBAO_UPDATE_INFO'; // 更新背包数据
    public static readonly BEIBAO_UP_SELECT_COUNT = 'beiBaoEvent.BEIBAO_UP_SELECT_COUNT'; // 更新背包选择页数量
}

export class ClubEvent {
    public static readonly JOIN_CLUB = "UIClubEvent.CREATE_SUCC" // 加入宗门(用来宗门选择界面判断用)
    public static readonly ALTER_NAME_SUCC = "UIClubEvent.GAIMING_SUCC" // 宗门改名成功
    public static readonly EXIT_SUCC = "UIClubEvent.EXIT_SUCC" // 退出宗门成功
    public static readonly CLOSE_CHAT = "UIClubEvent.CLOSE_CHAT" // 关闭宗门聊天窗口
    public static readonly UP_CLUB_INFO = "UIClubEvent.UP_CLUB_INFO" // 宗门信息刷新
    public static readonly UP_CLUB_APPLY_LIST = "UIClubEvent.UP_CLUB_APPLY_LIST" // 申请列表信息变化
    public static readonly UP_ACT_CLUB = "UIClubEvent.UP_ACT_CLUB" // 宗门相关个人信息刷新
    public static readonly UP_CLUB_MEMBER = "UIClubEvent.UP_CLUB_MEMBER" // 宗门成员列表刷新
    public static readonly UP_CLUB_HELP = "UIClubEvent.UP_CLUB_HELP" // 公会商店信息刷新
    public static readonly UP_ACT_SHOP_CLUB = "UIClubEvent.UP_ACT_SHOP_CLUB" // 商店购买信息刷新
    public static readonly UP_CLUB_BOSS = "UIClubEvent.UP_CLUB_BOSS" // 宗门BOSS排行数据更新
    // public static readonly CLUB_BOSS_LV_SELECT = "UIClubEvent.CLUB_BOSS_LV_SELECT" // 通过boss列表选择宗门BOSS
    public static readonly UP_FUZZY_CLUB = "UIClubEvent.UP_FUZZY_CLUB" // 宗门模糊搜索结果
    public static readonly UP_CLUB_LIST = "UIClubEvent.UP_CLUB_LIST" // 更新选择界面展示的宗门列表
    public static readonly CHAT_SHOW_HELPERS = "UIClubEvent.CHAT_SHOW_HELPERS" // 聊天展示帮助列表
    public static readonly UPDATE_CLUB_SECRET_SCROLL = "UIClubEvent.UPDATE_CLUB_SECRET_SCROLL"// 更新秘笈数据
    public static readonly CHECK_CLUB_REDDOT = "UIClubEvent.CHECK_CLUB_REDDOT"//监听宗门相关系统的道具变化
    public static readonly CLUB_BRAGAIN = "UIClubEvent.CLUB_BRAGAIN"// 更新议价数据(珍宝阁砍价)
    public static readonly CLUB_RANK_LIST = "UIClubEvent.CLUB_RANK_LIST" // 宗门排行榜
    public static readonly CLUB_RANK_MY = "UIClubEvent.CLUB_RANK_MY" // 自己宗门排行榜数据
    public static readonly CLUB_WECHAT = "UIClubEvent.CLUB_WECHAT" // 家主微信
    public static readonly CLUB_NAME = "UIClubEvent.CLUB_NAME"     // 宗门名字
    public static readonly CLUB_NOTICE = "UIClubEvent.CLUB_NOTICE" // 宗门公告
    public static readonly CLUB_DECLARATION = "UIClubEvent.CLUB_DECLARATION" // 宗门宣言
    public static readonly TASK_PROGRESS = "UIClubEvent.TASK_PROGRESS"; // 宗门任务进度
    public static readonly TASK = "UIClubEvent.TASK"; // 宗门任务
    public static readonly UPDATE_ARRAYING = "UIClubEvent.UPDATE_ARRAYING"; // 更新宗门布阵信息
    public static readonly BOSS_HP = "UIClubEvent.BOSS_HP"; // 更新宗门BOSS血量
    public static readonly BOSS_INFO = "UIClubEvent.BOSS_INFO"; // 更新宗门BOSS信息
    public static readonly FIGHT_BOSS_UI = "UIClubEvent.FIGHT_BOSS_UI"; // 更新宗门BOSS信息
    public static readonly DROP_BOSS_BOX = "UIClubEvent.DROP_BOSS_BOX"; // BOSS试炼宝箱掉落
    public static readonly BOSS_CHALLENGE_REWARD = "UIClubEvent.BOSS_CHALLENGE_REWARD"; // BOSS挑战奖励
    public static readonly CLUB_FLAG = "UIClubEvent.CLUB_FLAG"; // 更新宗门旗帜
    public static readonly CLUB_SB_REFRESH = "UIClubEvent.CLUB_SB_LOCKPOS"; // 宗门圣兵锁定词条
    public static readonly CLUB_ASSIT = "UIClubEvent.CLUB_ASSIT" // 宗门助力
    public static readonly CLUB_OFFER_NEW = "UIClubEvent.CLUB_OFFER_NEW" // 宗门领取新护送任务
    public static readonly CLUB_OFFER_BOSS = "UIClubEvent.CLUB_OFFER_BOSS" // 宗门领取新护送任务触发镇压boss
    public static readonly CLUB_OFFER_REPRESSLIST = "UIClubEvent.CLUB_OFFER_REPRESSLIST" // 宗门悬赏镇压列表
    public static readonly CLUB_OFFER_CHALLENGELIST = "UIClubEvent.CLUB_OFFER_CHALLENGELIST" // 宗门悬赏挑战列表
    public static readonly CLUB_OFFER_FIGHTNUM = "UIClubEvent.CLUB_OFFER_FIGHTNUM" // 宗门悬赏挑战奖励次数刷新
    public static readonly CLUB_OFFER_CHALLENGE = "UIClubEvent.CLUB_OFFER_CHALLENGE" // 宗门悬赏挑战结果
    public static readonly CLUB_OFFER_RANK_ZAN = "UIClubEvent.CLUB_OFFER_RANK_ZAN" // 宗门悬赏排行榜点赞
}
export class ChatEvent {
    public static readonly UP_CHAT_INFO = "ChatEvent.UP_CHAT_INFO" // 更新聊天信息
    public static readonly UP_ZHULI_INFO = "ChatEvent.UP_ZHULI_INFO" // 更新助力信息
    public static readonly SWITCH_CHANNEL = "ChatEvent.SWITCH_CHANNEL" // 切换聊天频道
    public static readonly MSG_AT = "ChatEvent.MSG_AT" // @人
}
export class SeatEvent {
    public static readonly SEAT = "SeatEvent.SEAT"
}
export class FightEvent {
    public static readonly FIGHT_CHANGE_HP = "FightEvent.FIGHT_CHANGE_HP"
    public static readonly FIGHT_CLICK_END = "FightEvent.FIGHT_CLICK_END"
    /** 震屏 */
    public static readonly FIGHT_SHAKE_CAMERA = "FightEvent.FIGHT_SHAKE_CAMERA"
    /** 战斗技能开始倒计时 */
    public static readonly FIGHT_START_SKILL = "FightEvent.FIGHT_START_SKILL"
    /** 刷新术法技能mp */
    public static readonly FIGHT_REFRESH_MP = "FightEvent.FIGHT_REFRESH_MP"
    /** 战斗显示boss头像 */
    public static readonly FIGHT_SHOW_HEAD = "FightEvent.FIGHT_SHOW_HEAD"
    /** 前往下一个宗门boss */
    public static readonly FIGHT_SHOW_NEXT_BOSS = "FightEvent.FIGHT_SHOW_NEXT_BOSS"
    /** 前往下一个宗门boss后暂停动作 */
    public static readonly FIGHT_PAUSE_NEXT_BOSS = "FightEvent.FIGHT_PAUSE_NEXT_BOSS"
    /** 战斗结束 */
    public static readonly FIGHT_END = "FightEvent.FIGHT_END"
    /** 战斗剧情触发 */
    public static readonly FIGHT_SHOW_JUQING = "FightEvent.FIGHT_SHOW_JUQING"
    /** 战斗伤害统计 */
    public static readonly FIGHT_HURT_LOG = "FightEvent.FIGHT_HURT_LOG"
    /** 组队战斗伤害统计 */
    public static readonly FIGHT_TEAM_HURT_LOG = "FightEvent.FIGHT_TEAM_HURT_LOG"
    /** 显示术法效果 */
    public static readonly FIGHT_SHOW_SHUFA = "FightEvent.FIGHT_SHOW_SHUFA"
    /** 显示弟子技能起手效果 */
    public static readonly FIGHT_SHOW_DIZISKILL = "FightEvent.FIGHT_SHOW_DIZISKILL"
    /** 妖帝坟冢最新战斗信息 */
    public static readonly FIGHT_YDFZ_MEMS = "FightEvent.FIGHT_YDFZ_MEMS"
    /** 青铜仙殿下一场战斗 */
    public static readonly FIGHT_QTXD_NEXTBOSS = "FightEvent.FIGHT_QTXD_NEXTBOSS"
    /** 妖帝坟冢鼓舞 */
    public static readonly FIGHT_YDFZ_GUWU = "FightEvent.FIGHT_YDFZ_GUWU"
}
export class DouFaEvent {
    public static readonly UP_LOG = 'DouFaEvent.UP_LOG'//刷新记录
    public static readonly UP_LIST = 'DouFaEvent.UP_LIST'//刷新挑战列表
    public static readonly UP_RED = 'DouFaEvent.UP_RED'//刷新红点
    public static readonly GONGNENG_KAIQI = 'DouFaEvent.GONGNENG_KAIQI' // 功能开启
}
export class MineEvent {
    public static readonly UP_MINE_UI = "MineEvent.UP_MINE_UI" // 刷新海岛主界面UI
    public static readonly UP_NEAR_LIST = "MineEvent.UP_NEAR_LIST" // 更新附近海岛列表
    public static readonly UP_FOE_LIST = "MineEvent.UP_FOE_LIST" // 更新敌对海岛列表
    public static readonly UP_TIME_CD = "MineEvent.UP_TIME_CD" // 海岛刷新心跳
    public static readonly UP_XUNLIAN_UI = "MineEvent.UP_XUNLIAN_UI" // 刷新海岛训练UI
    public static readonly DAOTONG_SKIN_XZ = "MineEvent.MINE_SKIN_XZ" // 道童皮肤选择
    public static readonly DAOTONG_SKIN_USE = "MineEvent.DAOTONG_SKIN_USE" // 道童皮肤使用
    public static readonly UP_GIFTDT_UI = "MineEvent.UP_GIFTDT_UI" // 刷新礼包界面
    public static readonly UP_JUBAOPEN_UI = "MineEvent.UP_JUBAOPEN_UI" // 刷新聚宝盆界面
    public static readonly UP_BUBBLE_UI = "MineEvent.UP_BUBBLE_UI" // 刷新气泡显示
    public static readonly UP_AUTO_RED = "MineEvent.UP_AUTO_RED" // 刷新自动红点
    public static readonly UP_AUTO_VIEW = "MineEvent.UP_AUTO_VIEW" // 刷新自动选择页
    public static readonly SHOW_AUTO_SELECT_VIEW = "MineEvent.SHOW_AUTO_SELECT_VIEW" // 显示自动选择页
    public static readonly SELECT_AUTO_LEVEL = "MineEvent.SELECT_AUTO_LEVEL" // 选择自动等级
    public static readonly UP_FUND_VIEW = "MineEvent.UP_FUND_VIEW" // 刷新基金界面
    public static readonly UP_FUND_RED = "MineEvent.UP_FUND_RED" // 刷新基金红点
    public static readonly UP_TQ = "MineEvent.UP_TQ" // 刷新特权
    public static readonly SHOW_POPLIST = "MineEvent.SHOW_POPLIST" // 显示选择列表
    public static readonly POP_ITEMCLICK = "MineEvent.POP_ITEMCLICK" // 列表item选择
    public static readonly REFRESH_DTLIST = "MineEvent.REFRESH_DTLIST" // 刷新道童列表
    public static readonly STOP_AUTOBTN = "MineEvent.STOP_AUTOBTN" // 停止自动动画
    public static readonly UP_BTN_STATE = "MineEvent.UP_BTN_STATE" // 刷新按钮状态
}

export class MailEvent {
    public static readonly GET_SUCCESS = 'MailEvent.GET_SUCCESS';// 邮件领取成功
}

export class RealmEvent {
    public static readonly LEVEL = "RealmEvent_LEVEL"; // 当前角色等级变化
    // public static readonly EXP = "RealmEvent_EXP"; // 境界经验变化
    public static readonly STEP_LEVEL = "RealmEvent_STEP_LEVEL"; // 修为等级变化
    public static readonly EPS_UPDATE = "RealmEvent_EPS_UPDATE"; // 修为属性变化
    public static readonly HOOK = "RealmEvent_HOOK"; // 钩子数据变化(突破任务数据)
    public static readonly TASK = "RealmEvent_TASK"; // 突破任务奖励状态变化
    public static readonly PREVIEW_ADD_EXP = "RealmEvent_PREVIEW_ADD_EXP"; // 长按按钮事件的预表现增加的经验和属性值
    public static readonly BREAK_SUCESS = "RealmEvent_BREAK_SUCESS"; // 境界成功突破
    public static readonly GUIDE_UPGRADE_REALM = "RealmEvent_GUIDE_UPGRADE_REALM"; // 境界成功突破
    public static readonly CAN_BREAKING = "RealmEvent_CAN_BREAKING"; // 有境界可以突破事件
    public static readonly FINISH_FIRST_BREAKTASK = 'RealmEvent_FINISH_FIRST_BREAKTASK'; // 引导第一个突破任务完成
    public static readonly LONG_PRESS_BTN = "RealmEvent_LONG_PRESS_BTN"; // 境界修为长按按钮引导图片
    public static readonly MAX_LV_CHANGE_GUIDE = 'RealmEvent_MAX_LV_CHANGE_GUIDE'; // 引导修炼任意属性,瓶颈状态需把手指切换到下一个属性进行升级引导
}

export class HdDiZiEvent {
    public static readonly UP_TURN_UI = 'HdDiZiEvent.UP_TURN_UI'; // 起源转盘:刷新转盘界面
    public static readonly PLAY_TURN_ANIM = 'HdDiZiEvent.PLAY_TURN_ANIM'; // 起源转盘:播放转盘动画
    public static readonly PLAY_TURN_ANIM_END = 'HdDiZiEvent.PLAY_TURN_ANIM_END'; // 起源转盘:转盘动画播放结束
    public static readonly UP_TREE_UI = 'HdDiZiEvent.UP_TREE_UI'; // 起源之树:刷新界面
    public static readonly UP_PROFIT_TIPS = 'HdDiZiEvent.UP_PROFIT_TIPS'; // 起源之树:刷新收益提示
    public static readonly UP_PROFIT_UI = 'HdDiZiEvent.UP_PROFIT_UI'; // 起源之树:刷新收益界面
    public static readonly UP_TREE_RED_UI = 'HdDiZiEvent.UP_TREE_RED_UI'; // 起源之树:刷新红点
    public static readonly UP_TASK_UI = 'HdDiZiEvent.UP_TASK_UI'; // 更新任务界面
    public static readonly UP_GIFT_UI = 'HdDiZiEvent.UP_GIFT_UI'; // 更新礼包界面
}

export class HdXiuWeiShenZaoEvent {
    public static readonly BUY = 'HdXiuWeiShenZaoEvent.BUY'; // 购买刷新
    public static readonly JINSHI_REFRESH = 'HdXiuWeiShenZaoEvent.JINSHI_REFRESH'; // 金石刷新
    public static readonly TIMES_REFRESH = 'HdXiuWeiShenZaoEvent.TIMES_REFRESH'; // 次数刷新
    public static readonly LEVEL_UP = 'HdXiuWeiShenZaoEvent.LEVEL_UP'; // 升级
}

// 阵法相关事件
export class ZhenFaEvent {
    public static readonly UP_AUTO_STATE = "ZhenFaEvent.UP_AUTO_STATE";// 刷新自动开阵法相关
    public static readonly UP_JINGLIAN_EP = "ZhenFaEvent.UP_JINGLIAN_EP";// 刷新精炼属性
    public static readonly UP_ZHENFAMAINICON = "ZhenFaEvent.UP_ZHENFAMAINICON";// 刷新阵法主界面阵法icon
    // public static readonly UP_HIGHCOUNT = "ZhenFaEvent.UP_HIGHCOUNT";// 刷新highCount
    public static readonly AUTO_START = "ZhenFaEvent.AUTO_START";// 开始自动推演
    public static readonly AUTOSTARTANI = "ZhenFaEvent.AUTOSTARTANI";// 自动推演时主界面八卦转动
    public static readonly UPDROPDOWNLIST = "ZhenFaEvent.UPDROPDOWNLIST";// 点击下拉框里的内容
    public static readonly UP_ZHENFASHENGJI = "ZhenFaEvent.UP_ZHENFASHENGJI";// 刷新阵法升级的内容
    public static readonly CLICKDEALVIEWZHENWENLIST = "ZhenFaEvent.CLICKDEALVIEWZHENWENLIST";// 点击阵纹处理界面的阵纹列表元素
    public static readonly DEALZHENWENANI = "ZhenFaEvent.DEALZHENWENANI";// 处理完阵纹后的掉落动画
    public static readonly PLAYLVUPSPINE = "ZhenFaEvent.PLAYLVUPSPINE";// 阵法升级后概率刷新特效
    public static readonly USESPEEDCARDSPINE = "ZhenFaEvent.USESPEEDCARDSPINE";// 使用加速卡之后刷新特效
    public static readonly CLOSE_ZHENWENDEAL = "ZhenFaEvent.CLOSE_ZHENWENDEAL"; // 关闭阵纹替换界面
}

// 新阵法相关事件
export class ZhenFaNewEvent {
    public static readonly ZHENFAFASHE = "ZhenFaNewEvent.ZHENFAFASHE"; // 阵法发射特效
    public static readonly ZHENWENHUISHOU = "ZhenFaNewEvent.ZHENWENHUISHOU"; // 阵法回收动画
    public static readonly UPZHENFANEWMAIN = "ZhenFaNewEvent.UPZHENFANEWMAIN"; // 刷新阵法主界面
    public static readonly UPZHENWENBAGBTN = "ZhenFaNewEvent.UPZHENWENBAGBTN"; // 刷新主界面的临时背包按钮
    // public static readonly SHOWZHENWENTOPTIPS = "ZhenFaNewEvent.SHOWZHENWENTOPTIPS"; // 刷新主界面的阵纹属性弹窗
    public static readonly AUTOZHAOHUANMON = "ZhenFaNewEvent.AUTOZHAOHUANMON"; // 自动召唤宝箱怪
    public static readonly AUTOZHAOHUANANI = "ZhenFaNewEvent.AUTOZHAOHUANANI"; // 自动召唤开启时召唤按钮的特效
    public static readonly UPDROPDOWNLIST = "ZhenFaNewEvent.UPDROPDOWNLIST";// 点击下拉框里的内容
    public static readonly UP_ZHENFASHENGJI = "ZhenFaNewEvent.UP_ZHENFASHENGJI";// 刷新阵法升级的内容
    public static readonly CLICKDEALVIEWZHENWENLIST = "ZhenFaNewEvent.CLICKDEALVIEWZHENWENLIST";// 点击阵纹处理界面的阵纹列表元素
    public static readonly PLAYLVUPSPINE = "ZhenFaNewEvent.PLAYLVUPSPINE";// 阵法升级后概率刷新特效
    public static readonly USESPEEDCARDSPINE = "ZhenFaNewEvent.USESPEEDCARDSPINE";// 使用加速卡之后刷新特效
    public static readonly CLOSE_ZHENWENDEAL = "ZhenFaNewEvent.CLOSE_ZHENWENDEAL"; // 关闭阵纹替换界面
    public static readonly HIDALLPARTICLE = "ZhenFaNewEvent.HIDALLPARTICLE"; // 隐藏所有粒子特效
    public static readonly UPENERGYSPINE = "ZhenFaNewEvent.UPENERGYSPINE"; // 刷新召唤按钮上的能量特效
    public static readonly ZHENWENDEALANI = "ZhenFaNewEvent.ZHENWENDEALANI";// 处理完阵纹后的掉落动画
    public static readonly UP_ZHAOMU_RED = 'ZhenFaNewEvent.UP_ZHAOMU_RED';// 刷新招募红点
    //阵法
    public static readonly UP_ZHENFAPAGE_VIEW = 'ZhenFaNewEvent.UP_ZHENFAPAGE_VIEW';// 刷新阵法主界面
    public static readonly UP_ZHENFAPAGE_HECHENG = 'ZhenFaNewEvent.UP_ZHENFAPAGE_HECHENG';// 刷新阵法一键合成
    public static readonly UP_ZMCOUNT = 'ZhenFaNewEvent.UP_ZMCOUNT';// 招募次数变化
    // 洗练
    public static readonly UP_XILIAN_UI = 'ZhenFaNewEvent.UP_XILIAN_UI';// 更新洗练界面UI
    public static readonly UP_XILIAN_SEL_ZB = 'ZhenFaNewEvent.UP_XILIAN_SEL_ZB';// 洗练界面选择装备
    // 附魔
    public static readonly UP_FUMO_UI = 'ZhenFaNewEvent.UP_FUMO_UI';// 更新附魔界面UI
    public static readonly FUMO_UPGRADE_LOCK = 'ZhenFaNewEvent.FUMO_UPGRADE_LOCK';// 附魔升级锁定
    public static readonly UP_FUMO_CONVER_UI = 'ZhenFaNewEvent.UP_FUMO_CONVER_UI';// 更新附魔转换UI
    public static readonly UP_FUMO_RED = 'ZhenFaNewEvent.UP_FUMO_RED';// 更新附魔红点
}
export class ClimbingTowerEvetn {
    public static readonly REFRESH = "ClimbingTowerEvetn.REFRESH" // 刷新爬塔
    public static readonly BACK_FROM_BATTLE = "ClimbingTowerEvetn.BACK_FROM_BATTLE" // 从战斗场景返回登仙路界面
    public static readonly SELECT_NUM = "ClimbingTowerEvetn.SELECT_NUM" // 刷新爬塔
    public static readonly AUTO_SELECT = "ClimbingTowerEvetn.AUTO_SELECT" // 刷新爬塔
    public static readonly SELECT_ADDITION = "ClimbingTowerEvetn.SELECT_ADDITION" // 待选择加成
    public static readonly ONCLICK_ADDITION_ITEM = "ClimbingTowerEvetn.ONCLICK_ADDITION_ITEM" // 待选择加成
    public static readonly REFRESH_ADDITION = "ClimbingTowerEvetn.REFRESH_ADDITION" // 刷新已选择加成UI
    public static readonly REFRESH_REWARD = "ClimbingTowerEvetn.REFRESH_REWARD" // 刷新成就奖励
    public static readonly UP_EQUIP_UI = "ClimbingTowerEvetn.UP_EQUIP_UI" // 刷新爬塔装备界面UI
    public static readonly UP_MY_RANK_UI = "ClimbingTowerEvetn.UP_MY_RANK_UI" // 刷新爬塔我的排行UI
    public static readonly UP_TOWER_SHOP_UI = "ClimbingTowerEvetn.UP_TOWER_SHOP_UI" // 刷新爬塔商店UI
    public static readonly UP_PRESET_UI = "ClimbingTowerEvetn.UP_PRESET_UI" // 刷新预设UI
}

export class HdDouLuoEvent {
    public static readonly DOULUO_UPDATE_LIST = "HdDouLuoEvent.DOULUO_UPDATE_LIST";//最强斗罗更新列表
    public static readonly DOULUO_UPDATE_SCORE = "HdDouLuoEvent.DOULUO_UPDATE_SCORE";//最强斗罗更新积分
    public static readonly DOULUO_UPDATE_SHOP = "HdDouLuoEvent.DOULUO_UPDATE_SHOP";//最强斗罗更新商店
    public static readonly DOULUO_UPDATE_ACHIEVE = "HdDouLuoEvent.DOULUO_UPDATE_ACHIEVE";//最强斗罗更新成就
    public static readonly DOULUO_UPDATE_LOG = "HdDouLuoEvent.DOULUO_UPDATE_LOG";//最强斗罗更新日志
    public static readonly DOULUO_UPDATE_BATTLE = "HdDouLuoEvent.DOULUO_UPDATE_BATTLE";//战斗刷新滚动位置
    public static readonly DOULUO_UPRED = "HdDouLuoEvent.DOULUO_UPRED";//战斗刷新滚动位置
}
export class HdDaoWenEvent {
    public static readonly UP_INFO = 'HdDaoWenEvent.UP_INFO'; // 更新道纹活动数据
    public static readonly OPEN_GIFT = 'HdDaoWenEvent.OPEN_GIFT'; // 打开礼包界面
}
export class HdShouLingEvent {
    public static readonly HDSHOULING_UPDATE_INFO = "HdShouLingEvent.HDSHOULING_UPDATE_INFO";// 更新破除心魔数据
    public static readonly HDSHOULING_UPDATE_SELECT = "HdShouLingEvent.HDSHOULING_UPDATE_SELECT";// 更新上阵宠物选中
    public static readonly HDSHOULING_UPDATE_KILL = "HdShouLingEvent.HDSHOULING_UPDATE_KILL";// 击杀心魔更新ui
    public static readonly HDSHOULING_UPDATE_RED = "HdShouLingEvent.HDSHOULING_UPDATE_RED";// 
}

/** 万族盛会 */
export class HDWanZuPartyEvent {
    public static readonly HDWANZUPARTY_BUY = "HDWanZuPartyEvent.HDWANZUPARTY_BUY";// 万族盛会购买
    public static readonly HDWANZUPARTY_CHALLENT = "HDWanZuPartyEvent.HDWANZUPARTY_CHALLENT";// 万族盛会购买
}
export class ShouLingEvent {
    public static readonly UP_SHOULING_UI = "ShouLingEvent.UP_SHOULING_UI" // 刷新兽灵界面UI
    public static readonly UP_FIGHTER_LIST_UI = "ShouLingEvent.UP_FIGHTER_LIST_UI" // 刷新上阵列表UI
    public static readonly UP_MAIN_EPS_LIST_UI = "ShouLingEvent.UP_MAIN_EPS_LIST_UI" // 刷新主界面属性列表UI
    public static readonly UP_MAIN_SL_LIST_UI = "ShouLingEvent.UP_MAIN_SL_LIST_UI" // 刷新主界面兽灵列表UI
    public static readonly UP_RECRUIT_UI = "ShouLingEvent.UP_RECRUIT_UI" // 刷新驯化界面UI
    public static readonly SEL_RECRUIT_SHOULING = "ShouLingEvent.SEL_RECRUIT_SHOULING" // 选择驯化兽灵
    public static readonly SHOW_REFRESH_SPINE = "ShouLingEvent.SHOW_REFRESH_SPINE" // 显示刷新动画
    public static readonly UP_WISH_UI = "ShouLingEvent.UP_WISH_UI" // 刷新心愿界面UI
    public static readonly UP_WISH_INFO = "ShouLingEvent.UP_WISH_INFO" // 刷新心愿信息
    public static readonly CHECK_POP_UP_TIME_GIFT = "ShouLingEvent.CHECK_POP_UP_TIME_GIFT" // 检查限时礼包弹出
    public static readonly JUMP_VIEW = "ShouLingEvent.JUMP_VIEW" // 跳转界面
    public static readonly UP_DETAIL_UI = "ShouLingEvent.UP_DETAIL_UI" // 刷新信息界面
    public static readonly UP_DETAIL_LEVEL_UI = "ShouLingEvent.UP_DETAIL_LEVEL_UI" // 刷新信息页等级相关UI
    public static readonly UP_DETAIL_STAR_UI = "ShouLingEvent.UP_DETAIL_STAR_UI" // 刷新信息页星级相关UI
    public static readonly UP_DETAIL_EPS_UI = "ShouLingEvent.UP_DETAIL_EPS_UI" // 刷新信息页属性相关UI
    public static readonly SET_UPSTAR_SEL = "ShouLingEvent.SET_UPSTAR_SEL"// 设置兽灵升星选择
    public static readonly UP_UPSTAR_SEL_TIPS = "ShouLingEvent.UP_UPSTAR_SEL_TIPS";// 更新兽灵升星选择兽灵提示
    public static readonly LOCK_SKILL = "ShouLingEvent.LOCK_SKILL"// 锁定被动技能
    public static readonly UP_WASH_UI = "ShouLingEvent.UP_WASH_UI"// 刷新洗练界面
    public static readonly UP_GOTO_WAR_SEL_UI = "ShouLingEvent.UP_GOTO_WAR_SEL_UI"// 刷新上阵选择UI
    public static readonly MAP_UP_SHOULING = 'FollowerEvent.MAP_UP_SHOULING';// 地图上下阵兽灵
    public static readonly UP_FETTER_UI = 'FollowerEvent.UP_FETTER_UI';// 刷新羁绊界面
    public static readonly UPDATE_SELECT = "ShouLingEvent.UPDATE_SELECT";// 选中
    public static readonly UP_LV_ITEM_UI = "ShouLingEvent.UP_LV_ITEM_UI";// 刷新升级道具UI
    public static readonly UP_FIGHTER_COMBAT = "ShouLingEvent.UP_FIGHTER_COMBAT";// 刷新上阵战斗力
    public static readonly UP_AUTO_DROPDOWN = "ShouLingEvent.UP_AUTO_DROPDOWN";// 刷新自动设置下拉框
    public static readonly AUTO_SEL_SL = "ShouLingEvent.AUTO_SEL_SL";// 自动设置选择兽灵
    public static readonly UP_AUTO_SEL_TIPS = "ShouLingEvent.UP_AUTO_SEL_TIPS";// 更新自动设置选择兽灵提示
    public static readonly UP_PRI_TIPS = "ShouLingEvent.UP_PRI_TIPS";// 更新特权卡提示
    public static readonly SELECT_SKIN = 'ShouLingEvent.SELECT_SKIN';// 选中皮肤
    public static readonly CHANGE_SKIN = 'ShouLingEvent.CHANGE_SKIN';// 切换皮肤
    public static readonly UP_SKIN_INFO = 'ShouLingEvent.UP_SKIN_INFO';// 刷新皮肤
}

export class FollowerEvent {
    public static readonly UP_FOLLOWER_INFO = 'FollowerEvent.UP_FOLLOWER_INFO';// 弟子信息刷新
    public static readonly SELECT_FOLLOWER_FILTER = 'FollowerEvent.SELECT_FOLLOWER_FILTER';// 弟子过滤选择
    public static readonly SELECT_FOLLOWER_ITEM = 'FollowerEvent.SELECT_FOLLOWER_ITEM';// 选中弟子
    public static readonly UP_TUJIAN_INFO = 'FollowerEvent.UP_TUJIAN_INFO';// 图鉴刷新
    public static readonly UP_ZHAOMU_RED = 'FollowerEvent.UP_ZHAOMU_RED';// 刷新招募红点
    public static readonly SHANGZHEN_SUCCESS = 'FollowerEvent.SHANGZHEN_SUCCESS';// 上阵成功
    public static readonly SHANGZHEN_GEZI = 'FollowerEvent.SHANGZHEN_GEZI';// 上阵格子亮起
    public static readonly MAP_UP_FOLLOWER = 'FollowerEvent.MAP_UP_FOLLOWER';// 地图上下阵弟子
    public static readonly TUIJIAN_DETAILS = 'FollowerEvent.TUIJIAN_DETAILS';// 阵容推荐详情
    public static readonly SHOW_DRAG_GEZI = 'FollowerEvent.SHOW_DRAG_GEZI';// 显示拖动的弟子的推荐位置
    public static readonly HIDE_DRAG_GEZI = 'FollowerEvent.HIDE_DRAG_GEZI';// 隐藏格子
    public static readonly UP_INFO_VIEW = 'FollowerEvent.UP_INFO_VIEW';// 更新信息界面
    public static readonly SELECT_EXCHANGE_ITEM = 'FollowerEvent.SELECT_EXCHANGE_ITEM';// 选中无损替换的弟子
    public static readonly SELECT_SKIN = 'FollowerEvent.SELECT_SKIN';// 选中皮肤
    public static readonly CHANGE_SKIN = 'FollowerEvent.CHANGE_SKIN';// 切换皮肤

}

export class ZhaoMuEvent {
    public static readonly START_FANPAI = 'ZhaoMuEvent.START_FANPAI';// 开始翻牌
    public static readonly STOP_FANPAI = 'ZhaoMuEvent.STOP_FANPAI';// 停止翻牌
    public static readonly SHAKE_LIST = 'ZhaoMuEvent.SHAKE_LIST';// 震动
}

export class HdHuoBanUpEvent {
    public static readonly REFRESH = 'HdHuoBanUpEvent.REFRESH';// 刷新
    public static readonly UP_RWDRED = 'HdHuoBanUpEvent.UP_RWDRED';// 更新奖励红点
    public static readonly UP_RWDLIST = 'HdHuoBanUpEvent.UP_RWDLIST';// 更新奖励列表
    public static readonly UP_SELECTPHASE = 'HdHuoBanUpEvent.UP_SELECTPHASE';// 更新选择期数
}

export class LingMaiEvent {
    public static readonly UP_LIST = 'LingMaiEvent.UP_LIST';// 刷新列表
    public static readonly UP_ROOM_INFO = 'LingMaiEvent.UP_ROOM_INFO';// 刷新房间信息
    public static readonly UP_DUIHUAN_INFO = 'LingMaiEvent.UP_DUIHUAN_INFO';// 刷新兑换信息
}

export class YaoTianEvent {
    public static readonly UP_YAOTIAN_LEVEL = 'YaoTianEvent.UP_YAOTIAN_LEVEL';//药田升级
    public static readonly UP_YAOTIAN_GEZI = 'YaoTianEvent.UP_YAOTIAN_GEZI';// 更新药田格子
    public static readonly UP_YAOTIAN_SELECT_ITEM = 'YaoTianEvent.UP_YAOTIAN_SELECT_ITEM';// 更新药田选择道具
    public static readonly MOVE_GET_ITEM = 'YaoTianEvent.MOVE_GET_ITEM';// 收菜移动图标
    public static readonly UP_YAOTIAN_ORDER_INFO = 'YaoTianEvent.UP_YAOTIAN_ORDER_INFO';// 更新订单信息
    public static readonly UP_YAOFANG_SELECT_PINZHI = 'YaoTianEvent.UP_YAOFANG_SELECT_PINZHI';// 更新选择的药方品质
    public static readonly UP_YAOFANG_SELECT = 'YaoTianEvent.UP_YAOFANG_SELECT';// 更新选择的药方
    public static readonly UP_YAOFANG_CONFIRM = 'YaoTianEvent.UP_YAOFANG_CONFIRM';// 确认使用药方
    public static readonly UP_YAOGUI_SELECT = 'YaoTianEvent.UP_YAOGUI_SELECT';// 更新选择的丹药
    public static readonly GOTO_NEAR_YAOTIAN = 'YaoTianEvent.GOTO_NEAR_YAOTIAN';// 前往他人药田
    public static readonly UP_NEAR_YAOTIAN = 'YaoTianEvent.UP_NEAR_YAOTIAN';// 刷新他人药田
    public static readonly UP_YAOFANG_VIEW = 'YaoTianEvent.UP_YAOFANG_VIEW';// 更新药房界面
    public static readonly UP_AD_BTN = 'YaoTianEvent.UP_AD_BTN';// 更新广告按钮
    public static readonly UP_YAOTIAN_MANAGER_VIEW = 'YaoTianEvent.UP_YAOTIAN_MANAGER_VIEW';// 更新药田管家界面
    public static readonly UP_YAOTIAN_MANAGER_DROPDOWNBTN = 'YaoTianEvent.UP_YAOTIAN_MANAGER_DROPDOWNBTN';// 选择的选项
    public static readonly UP_YAOTIAN_SELECT_DROPDOWNBTN = 'YaoTianEvent.UP_YAOTIAN_SELECT_DROPDOWNBTN';// 刷新选则
    public static readonly SHOW_ORDER_EFFECT = 'YaoTianEvent.SHOW_ORDER_EFFECT';// 订单刷新特效
    public static readonly SHOW_YAOGUI_EFFECT = 'YaoTianEvent.SHOW_YAOGUI_EFFECT';// 药柜特效
    public static readonly SHOW_YAOTIANGEZI_EFFECT = 'YaoTianEvent.SHOW_YAOTIANGEZI_EFFECT';// 药田特效
    public static readonly UP_YAOSHAN_MANAGER_VIEW = 'YaoTianEvent.UP_YAOSHAN_MANAGER_VIEW';// 更新药山管家界面
    public static readonly UP_YAOSHAN_MANAGER_DROPDOWNBTN = 'YaoTianEvent.UP_YAOSHAN_MANAGER_DROPDOWNBTN';// 选择的选项
    public static readonly UP_YAOSHAN_SELECT_DROPDOWNBTN = 'YaoTianEvent.UP_YAOSHAN_SELECT_DROPDOWNBTN';// 刷新选则
    public static readonly UP_YAOTIAN_BTN_RED = 'YaoTianEvent.UP_YAOTIAN_BTN_RED';// 刷新药田主页非RedModel的红点
    public static readonly UP_YAOTIAN_BTN_STATE = 'YaoTianEvent.UP_YAOTIAN_BTN_STATE';// 刷新药田按钮状态
    public static readonly SHOW_YAOLU_EFFECT = 'YaoTianEvent.SHOW_YAOLU_EFFECT';// 药炉特效
    public static readonly CLEAR_SELECT_YAOFANG = 'YaoTianEvent.CLEAR_SELECT_YAOFANG';// 清除选择的药方
    public static readonly UP_YAOSHAN_UNLOCK = 'YaoTianEvent.UP_YAOSHAN_UNLOCK';// 药山解锁
    public static readonly SHOW_UP_LV_EFFECT = 'YaoTianEvent.SHOW_UP_LV_EFFECT';// 升级特效
    public static readonly UP_TIMEBEN_POS = 'YaoTianEvent.UP_TIMEBEN_POS';// 升级特效
    public static readonly UP_GEZI_STATE = 'YaoTianEvent.UP_GEZI_STATE';// 更新状态
    public static readonly UP_GEZI_DATA = 'YaoTianEvent.UP_GEZI_DATA';// 更新数据
    public static readonly UP_GEZI_ICON = 'YaoTianEvent.UP_GEZI_ICON';// 更新图标
    public static readonly TOUCH_SWALLOW = 'YaoTianEvent.TOUCH_SWALLOW';//点击碰撞遮挡穿透
    public static readonly UP_BATCH_MANAGE = 'YaoTianEvent.UP_BATCH_MANAGE';//刷新药田管理界面
    public static readonly UP_YAOTIANTOUQU_ZZK = 'YaoTianEvent.UP_YAOTIANTOUQU_ZZK';//刷新药田偷取至尊卡
}

export class ZongMenEvent {
    public static readonly UP_LEVEL = 'ZongMenEvent.UP_LEVEL';// 更新等级
    public static readonly UP_TRAINLIST = 'ZongMenEvent.UP_TRAINLIST';// 更新培养位子
    public static readonly SELECT_MENTU = 'ZongMenEvent.SELECT_MENTU';// 选择门徒
    public static readonly UP_MTLIST = 'ZongMenEvent.UP_MTLIST';// 更新门徒列表
    public static readonly UP_JIEHAOLIST = 'ZongMenEvent.UP_JIEHAOLIST';// 更新结好列表
    public static readonly UP_CHARGENUM = 'ZongMenEvent.UP_CHARGENUM';// 更新补充灵气数量
    public static readonly UP_APPLYLIST = 'ZongMenEvent.UP_APPLYLIST';// 更新请求列表
    public static readonly SELECT_SORTTYPE = 'ZongMenEvent.SELECT_SORTTYPE';// 选择排序方案
    public static readonly UP_APPOINTPOS = 'ZongMenEvent.UP_APPOINTPOS';// 更新委任位子
    public static readonly SEND_TRAIN_MOVEINFO = 'ZongMenEvent.SEND_TRAIN_MOVEINFO';// 发送培养飘字
    public static readonly UP_PRICARDBUY = 'ZongMenEvent.UP_PRICARDBUY';// 刷新终身卡购买状态
}

export class ChallengeEvent {
    public static readonly REFRESH_CHALLENGE_DATA = 'ChallengeEvent.REFRESH_CHALLENGE_DATA';// 秘境(副本)挑战信息刷新
}

//组队
export class TeamChallengeEvent {
    public static readonly REFRESH_TEAMCHALLENGE_DATA = 'TeamChallengeEvent.REFRESH_TEAMCHALLENGE_DATA';// 组队挑战信息刷新
    public static readonly REFRESH_TEAMTASK_DATA = 'TeamChallengeEvent.REFRESH_TEAMTASK_DATA';// 组队任务信息刷新
    public static readonly REFRESH_TEAMFIRSTRWD_DATA = 'TeamChallengeEvent.REFRESH_TEAMFIRSTRWD_DATA';// 组队首通奖励信息刷新
    public static readonly REFRESH_TEAMQTXDRANKRWD_DATA = 'TeamChallengeEvent.REFRESH_TEAMQTXDRANKRWD_DATA';// 组队青铜仙殿前三信息刷新
    public static readonly REFRESH_TEAMQTXDINFO_DATA = 'TeamChallengeEvent.REFRESH_TEAMQTXDINFO_DATA';// 青铜仙殿信息刷新
    public static readonly REFRESH_TEAM_DATA = 'TeamChallengeEvent.REFRESH_TEAM_DATA';// 队伍信息刷新
    public static readonly REFRESH_TEAMAPPLY_DATA = 'TeamChallengeEvent.REFRESH_TEAMAPPLY_DATA';// 队伍申请信息
    public static readonly SWITCH_TEAM_TYPE = 'TeamChallengeEvent.SWITCH_TEAM_TYPE';// 切换队伍副本类型

    public static readonly REFRESH_YDFZBOSS_DATA = 'TeamChallengeEvent.REFRESH_YDFZBOSS_DATA';// 妖帝坟冢boss刷新
}

// 道纹
export class DaoWenEvent {
    // public static readonly DAOWEN_UPRED = "DaoWenEvent.DAOWEN_UPRED";// 刷新红点
    public static readonly DAOWEN_UPDROPDOWNLIST = "DaoWenEvent.DAOWEN_UPDROPDOWNLIST";// 点击下拉框里的元素后发送的事件
    public static readonly DAOWEN_CLICLYSLIST = "DaoWenEvent.DAOWEN_CLICLYSLIST";// 点击预设下拉框里的元素后发送的事件
    public static readonly DAOWEN_UPDAOWENICONITEM = "DaoWenEvent.DAOWEN_UPDAOWENICONITEM";// 点击道纹IconItem后发送的事件
    public static readonly DAOWEN_UPDAOWENLIST = "DaoWenEvent.DAOWEN_UPDAOWENLIST";// 刷新道纹列表
    public static readonly DAOWEN_MAINICONINFO = "DaoWenEvent.DAOWEN_MAINICONINFO";// 刷新道纹主界面道纹信息
    public static readonly DAOWEN_AFTERQIANGHUA = "DaoWenEvent.DAOWEN_AFTERQIANGHUA";// 强化后刷新
    public static readonly DAOWEN_AFTERZHIDINGJIEFENG = "DaoWenEvent.DAOWEN_AFTERZHIDINGJIEFENG";// 指定解封后刷新
    public static readonly DAOWEN_UPMAINVIEW = "DaoWenEvent.DAOWEN_UPMAINVIEW";// 刷新道纹主界面
    public static readonly DAOWEN_XILIAN_LOCK = "DaoWenEvent.DAOWEN_XILIAN_LOCK";// 道纹洗练锁定
    public static readonly DAOWEN_UP_XILIAN_RED = "DaoWenEvent.DAOWEN_UP_XILIAN_RED";// 道纹洗练刷新红点
    public static readonly DAOWEN_EPS_UPDATE = "DaoWenEvent.DAOWEN_EPS_UPDATE";// 道纹属性变化
}

// 主页底部菜单栏按钮事件
export class HomeBottomMenuEvent {
    public static readonly SELECT = "HomeBottomMenuEvent.SELECT";
    public static readonly SWITCH_VIEW = "HomeBottomMenuEvent.SWITCH_VIEW";//触发切换页签
    public static readonly CHANGE_AUTO_STATE = "HomeBottomMenuEvent.CHANGE_AUTO_STATE"; // 显示隐藏自动按钮
    public static readonly SHILIAN_REDDOT = "HomeBottomMenuEvent.SHILIAN_REDDOT"; // 试炼按钮小红点
}

export class ShiLianEvent {
    public static readonly SWITCH_PAGE = "ShiLianEvent.SWITCH_PAGE";//切换页签
}

// 玩法商店事件
export class GamesShopEvent {
    public static readonly UPDATE = "GamesShopEvent.UPDATE";//刷新
}

// 主页事件
export class HomeEvent {
    public static readonly UP_HD_LIST = "HomeEvent.UP_HD_LIST";//主页活动列表需要刷新时
    public static readonly UP_HD_FLYBIRD = "HomeEvent.UP_HD_FLYBIRD";//主页飞鸟显隐刷新
    public static readonly HOME_HIDE_CENTER = "HomeEvent.HOME_HIDE_CENTER";//主页隐藏中间区域内容
    public static readonly UP_DIZI_LIST = "HomeEvent.UP_DIZI_LIST";//更新弟子列表
    public static readonly UP_SHOULING_LIST = "HomeEvent.UP_SHOULING_LIST";//更新兽灵列表
    public static readonly CLICK_CHARGE_BOX_BTN = "GameEvent.CLICK_CHARGE_BOX_BTN";    // 点击左侧列表
}

// 日常任务
export class DailyTaskEvent {
    public static readonly UP_INFO = "DailyTaskEvent.UP_INFO";
    public static readonly UP_SCORE = "DailyTaskEvent.UP_SCORE";
}

// fgui提示信息事件
export class FguiEvent {
    public static readonly SHOWTIPS = "FguiEvent_SHOWTIPS";
    public static readonly SHOWSIDETIPS = "FguiEvent_SHOWSIDETIPS";
}

// 术法活动
export class HdShuFaEvent {
    public static readonly UP_TASK_UI = "HdShuFaEvent.UP_TASK_UI"; // 术法活动更新任务UI
    public static readonly UP_ROAD_UI = "HdShuFaEvent.UP_ROAD_UI"; // 术法活动更新仙路UI
    public static readonly UP_GIFT_UI = "HdShuFaEvent.UP_GIFT_UI"; // 术法活动更新礼包UI
}

//挂机奖励
export class OnHookRwd {
    public static readonly UP_ONHOOK_STAGE = "OnHookRwd.UP_ONHOOK_STAGE"; // 章节挂机奖励预览
}

/** 章节进度奖励活动 */
export class HdZhangjiePushEvent {
    public static readonly UP_INFO = "HdZhangjiePushEvent.UP_INFO";// 更新章节奖励

}

/** 赏花觅宝活动 */
export class HdShangHuaEvent {
    public static readonly UP_SCORE = "HdShangHuaEvent.UP_SCORE"; // 更新分数
    public static readonly UP_SIGN_UI = "HdShangHuaEvent.UP_SIGN_UI"; // 更新签到UI
    public static readonly SEL_BIG_RWD = "HdShangHuaEvent.SEL_BIG_RWD"; // 更新选择大奖
    public static readonly UP_BIG_RWD_UI = "HdShangHuaEvent.UP_BIG_RWD_UI"; // 更新大奖UI
    public static readonly UP_JILEI_RWD_UI = "HdShangHuaEvent.UP_JILEI_RWD_UI"; // 更新积累大奖UI
    public static readonly UP_TASK_RWD_UI = "HdShangHuaEvent.UP_TASK_RWD_UI"; // 更新任务UI
    public static readonly UP_GIFT_UI = "HdShangHuaEvent.UP_GIFT_UI"; // 更新礼包UI
}

/** 每日挑战 */
export class PvdEvent {
    public static readonly UP_POWER_UI = "HdShangHuaEvent.UP_POWER_UI"; // 更新体力UI
    public static readonly UP_RANK_TIPS_UI = "HdShangHuaEvent.UP_RANK_TIPS_UI"; // 更新排行提示UI
    public static readonly UP_ALLHURt_UI = "HdShangHuaEvent.UP_ALLHURt_UI"; // 更新总伤害UI
}

/** 仙路争锋 */
export class HdZhengFengEvent {
    public static readonly UP_SHOP_UI = "HdZhengFengEvent.UP_SHOP_UI"; // 更新商店UI
    public static readonly UP_PAGE_UI = "HdZhengFengEvent.UP_PAGE_UI"; // 更新页面UI
    public static readonly UP_MAIN_UI = "HdZhengFengEvent.UP_MAIN_UI"; // 更新主页面UI
    public static readonly UP_MAIN_SCORE_UI = "HdZhengFengEvent.UP_MAIN_SCORE_UI"; // 更新主页面分数UI
    public static readonly UP_GIFT_UI = "HdZhengFengEvent.UP_GIFT_UI"; // 更新礼包UI
    public static readonly UP_TASK_UI = "HdZhengFengEvent.UP_TASK_UI"; // 更新任务UI
    public static readonly UP_TASK_ROUND_RWD_UI = "HdZhengFengEvent.UP_TASK_ROUND_RWD_UI"; // 更新任务轮次大奖UI
    public static readonly UP_EXCHANGE_UI = "HdZhengFengEvent.UP_EXCHANGE_UI"; // 更新兑换UI
}

/** 版本福利 */
export class HdBanBenFuLiEvent {
    public static readonly UP_VIEW = "HdBanBenFuLiEvent.UP_VIEW"; // 刷新界面
    public static readonly ACTIVE_SUCCESS = "HdBanBenFuLiEvent.ACTIVE_SUCCESS"; // 激活成功
}

/** 跑马灯 */
export class PaoMaEvent {
    public static readonly SHOW_PAOMA = "PaoMaEvent.SHOW_PAOMA";// 显示跑马灯
}

/** 在线福利 */
export class HdOnLineEvent {
    public static readonly UP_VIEW_UI = "HdOnLineEvent.UP_VIEW_UI";// 刷新界面UI
}

/** 在线福利 */
export class HdHeFuEvent {
    public static readonly UP_SIGN_VIEW_UI = "HdHeFuEvent.UP_SIGN_VIEW_UI";// 刷新签到界面UI
    public static readonly UP_KHFL_VIEW_UI = "HdHeFuEvent.UP_KHFL_VIEW_UI";// 刷新狂欢福利界面UI
    public static readonly UP_SHENZANG_VIEW_UI = "HdHeFuEvent.UP_SHENZANG_VIEW_UI";// 刷新神藏界面UI
    public static readonly UP_SHENZANG_TASK_VIEW_UI = "HdHeFuEvent.UP_SHENZANG_TASK_VIEW_UI";// 刷新神藏任务界面UI
    public static readonly UP_SHENZANG_HELP_VIEW_UI = "HdHeFuEvent.UP_SHENZANG_HELP_VIEW_UI";// 刷新神藏助力界面UI
    public static readonly UP_ZHUANPAN_VIEW_UI = "HdHeFuEvent.UP_ZHUANPAN_VIEW_UI";// 刷新转盘界面UI
    public static readonly UP_ZHUANPAN_RWD_UI = "HdHeFuEvent.UP_ZHUANPAN_RWD_UI";// 刷新转盘奖励UI
    public static readonly UP_SELECT_DAJIANG = "HdHeFuEvent.UP_SELECT_DAJIANG";// 选择大奖
    public static readonly UP_GIFT_UI = 'HdHeFuEvent.UP_GIFT_UI'; // 更新礼包界面
}

/** 玄天斗法 */
export class HdDouFaEvent {
    public static readonly UP_GROUP_INFO = "HdDouFaEvent.UP_GROUP_INFO";// 刷新小组信息
    public static readonly CLOSE_GROUP_PANEL = "HdDouFaEvent.CLOSE_GROUP_PANEL";// 关闭小组列表
    public static readonly UP_GUESS_INFO = "HdDouFaEvent.UP_GUESS_INFO";// 更新竞猜数据
}

/** 节气活动 */
export class HdJieQiEvent {
    public static readonly UP_VIEW_UI = "HdJieQiEvent.UP_VIEW_UI";// 刷新界面UI
    public static readonly OPTIIONAL_ITEM_SELECT = "HdJieQiEvent.OPTIIONAL_ITEM_SELECT";// 自选大奖选择item
    public static readonly UP_RWD_BAR_UI = "HdJieQiEvent.UP_RWD_BAR_UI";// 刷新奖励进度条UI
    public static readonly UP_PREVIEW_UI = "HdJieQiEvent.UP_PREVIEW_UI";// 刷新预览大奖UI
    public static readonly UP_CENG_BIGITEMS_UI = "HdJieQiEvent.UP_CENG_BIGITEMS_UI";// 刷新本层大奖UI
    public static readonly SHOW_POP_UP = "HdJieQiEvent.SHOW_POP_UP";// 显示小弹窗
    public static readonly UP_UP_RWD_UI = "HdJieQiEvent.UP_UP_RWD_UI";// 刷新升级奖励UI
    public static readonly UP_TASK_UI = "HdJieQiEvent.UP_TASK_UI";// 刷新任务UI
    public static readonly UP_GIFT_UI = "HdJieQiEvent.UP_GIFT_UI";// 刷新礼包UI
    public static readonly UP_AMASS_UI = "HdJieQiEvent.UP_AMASS_UI";// 刷新累计大奖UI
}

/** 梵天破会 */
export class HdClubFightEvent {
    public static readonly UP_TILI = "HdClubFightEvent.UP_TILI";// 刷新体力
    public static readonly UP_PK_USERS = "HdClubFightEvent.UP_PK_USERS";// 刷新对手
    public static readonly UP_USER_INFO = "HdClubFightEvent.UP_USER_INFO";// 刷新玩家信息
    public static readonly UP_PK_CLUB_INFO = "HdClubFightEvent.UP_PK_CLUB_INFO";//刷新敌方数据
    public static readonly UP_CHENGJIUVIEW = "HdClubFightEvent.UP_CHENGJIUVIEW";//刷新成就界面
    public static readonly UP_GIFT_UI = "HdClubFightEvent.UP_GIFT_UI";//刷新礼包
    public static readonly UP_STATE = "HdClubFightEvent.UP_STATE";//刷新状态
    public static readonly CLOSE_BUYBUFFVIEW = "HdClubFightEvent.CLOSE_BUYBUFFVIEW";// 关闭购买buff界面
    public static readonly FLY_JL = "HdClubFightEvent.FLY_JL";// 精力飘字
    public static readonly FLY_HP = "HdClubFightEvent.FLY_HP";// 生命飘字
}

/** 仙穹之巅 */
export class HdXianQiongEvent {
    public static readonly BATTLE_OVER = "HdXianQiongEvent.BATTLE_OVER";// 战斗结束
    public static readonly STAR_PLAY_ANIM = "HdXianQiongEvent.STAR_PLAY_ANIM";// 星星播放动画
    public static readonly RESULT_PLAY_ANIM = "HdXianQiongEvent.RESULT_PLAY_ANIM";// 结果播放动画
    public static readonly UP_COST_ITEM = "HdXianQiongEvent.UP_COST_ITEM";// 刷新道具UI
    public static readonly UP_GIFT_UI = "HdXianQiongEvent.UP_GIFT_UI";// 刷新礼包UI
    public static readonly UP_TASK_UI = "HdXianQiongEvent.UP_TASK_UI";// 刷新任务UI
    public static readonly SHOW_MASK = "HdXianQiongEvent.SHOW_MASK";// 显示遮罩
}

/** 九霄天枢 */
export class HdJiuXiaoEvent {
    public static readonly UP_VIEW_UI = "HdJiuXiaoEvent.UP_VIEW_UI";// 刷新界面UI
    public static readonly UP_DESC_LABEL = "HdJiuXiaoEvent.UP_DESC_LABEL";// 更新描述文本
    public static readonly UP_BTN_STATE = "HdJiuXiaoEvent.UP_BTN_STATE";// 更新按钮状态
    public static readonly UP_PAGE_BTN_LIST = "HdJiuXiaoEvent.UP_PAGE_BTN_LIST";// 更新分页按钮列表
    public static readonly UP_PAGE_BTN_SELECT = "HdJiuXiaoEvent.UP_PAGE_BTN_SELECT";// 更新分页按钮选择
    public static readonly UP_PAGE_BTN_RED = "HdJiuXiaoEvent.UP_PAGE_BTN_RED";// 更新分页按钮红点
}

/** 凶兽入侵 */
export class HdXiongShouEvent {
    public static readonly BATTLE_OVER_CB = "HdXiongShouEvent.BATTLE_OVER_CB";// 战斗结束回调
    public static readonly UP_VIEW_UI = "HdXiongShouEvent.UP_VIEW_UI";// 刷新界面UI
    public static readonly UP_SNIPE_UI = "HdXiongShouEvent.UP_SNIPE_UI";// 刷新阻击界面UI
    public static readonly UP_COST_ITEM = "HdXiongShouEvent.UP_COST_ITEM";// 刷新道具UI
    public static readonly UP_GIFT_UI = "HdXiongShouEvent.UP_GIFT_UI";// 刷新礼包UI
    public static readonly UP_TASK_UI = "HdXiongShouEvent.UP_TASK_UI";// 刷新任务UI
    public static readonly UP_LOG_UI = "HdXiongShouEvent.UP_LOG_UI";// 刷新日志UI
    public static readonly UP_SNIPE_BTN_RED = "HdXiongShouEvent.UP_SNIPE_BTN_RED";// 刷新阻击按钮红点
}

/** 法则 */
export class FaZeEvent {
    public static readonly UP_FAZE_GEZI = "FaZeEvent.UP_FAZE_GEZI";// 刷新法则格子
    public static readonly UP_FAZE_LIST = "FaZeEvent.UP_FAZE_LIST";// 刷新法则列表
    public static readonly UP_AUTO_SELECT_PINZHI = "FaZeEvent.UP_AUTO_SELECT_PINZHI";// 刷新选择品质
    public static readonly START_AUTO = "FaZeEvent.START_AUTO";// 开始自动合成
    public static readonly UP_FAZE_INFOVIEW = "FaZeEvent.UP_FAZE_INFOVIEW";// 更新法则详情界面
    public static readonly UP_SELECT_FAZEITEM = "FaZeEvent.UP_SELECT_FAZEITEM";// 更新选中法则
    public static readonly UP_CUILING_ITEMS = "FaZeEvent.UP_CUILING_ITEMS";// 更新淬灵材料
    public static readonly UP_SELECT_CAILIAOITEM = "FaZeEvent.UP_SELECT_CAILIAOITEM";// 更新选中材料
    public static readonly UP_SELECT_CAILIAONUM = "FaZeEvent.UP_SELECT_CAILIAONUM";// 更新选中材料数量
    public static readonly UP_STARUP_ITEMS = "FaZeEvent.UP_STARUP_ITEMS";// 更新升星材料
    public static readonly UP_EPS = "FaZeEvent.UP_EPS";// 更新EPS
    public static readonly UP_TQ = "FaZeEvent.UP_TQ";// 更新tq
    public static readonly UP_TUJIAN_RED = "FaZeEvent.UP_TUJIAN_RED";//更新图鉴红点
    public static readonly SHOW_GEZI_EFFECT = "FaZeEvent.SHOW_GEZI_EFFECT";//显示格子特效
}

/** 天灯祈愿 */
export class HdTianDengEvent {
    public static readonly SHOW_RWD_FRAME = "HdTianDengEvent.SHOW_RWD_FRAME";// 显示奖励框
    public static readonly UP_QUANFU_RWD = "HdTianDengEvent.UP_QUANFU_RWD";// 刷新全服进度
    public static readonly UP_GIFT = "HdTianDengEvent.UP_GIFT";// 刷新礼包
    public static readonly UP_MEMBERS = "HdTianDengEvent.UP_MEMBERS";// 刷新参与人数
    public static readonly UP_SELECT_DAY = "HdTianDengEvent.UP_SELECT_DAY";// 刷新选择的天数
    public static readonly SHOW_DANMU = "HdTianDengEvent.SHOW_DANMU";// 显示弹幕
    public static readonly CHECK_TIANXUAN = "HdTianDengEvent.CHECK_TIANXUAN";// 显示天选
}