import { ActionType, LogOneData } from "../../common/Xys"

import RoleBase from "../../logic/map/RoleBase"

/**基础道具,三个状态*/
export enum BaseItemType {
    /**点击无效果 */
    empty,
    /**点击显示道具详情 */
    detail,
    /**点击选中道具 */
    select
}

/**游戏平台枚举*/
export enum PlatFormDevType {
    // 默认
    default = "default",
    // 本地
    local = "local",
    /**Android设备 */
    android = "android",
    /**	iOS设备(包含 iPhone、iPad) */
    ios = "ios",
    // Windows设备
    windows = "windows",
    // macOS设备
    mac = "mac",
    // 微信小游戏开发者工具
    devtools = "devtools",

    androidH5 = "androidH5",
    iosH5 = "iosH5"
}

//道具背包类型
export enum ItemKind {
    money = 1, //货币 资产类
    yiXiang = 2, // 异象
    ddgz_mingWen = 3, // 大帝古字-铭文
    dizi = 4,//弟子(完整)
    fabao = 5, //法宝
    shouLing = 6, //兽灵
    daoWen = 7,// 道纹
    ddgz_shufa = 8, // 大帝古字-术法
    zhuangBei = 9, // 装备
    pay = 10,//充值
    ch = 12, //称号
    zf = 13, //阵法
    diych = 14,//定制称号
    faze = 15,//法则
    daoyou = 23, //道友
}

//背包使用类型
export enum BagUseType {
    empty = 0, // 不使用
    directUse = 1, // 直接使用
    randomUse = 2, // 随机使用
    selectUse = 3, // 自选使用
    synthesis = 4, // 道具合成
}

//玩家性别
export enum UserSex {
    woman = 0,
    man = 1
}

export enum TaskKind {
    DaGuai = "101",//在地图上击败{0}个怪物
    Tgzj = "102",//通关章节
    GotoYumen = "105",//前往域门
    playerUpgradeCount = "113", // 主角升级{0}次
    playerLv = "114", //主角升级到{0}级
    jingjieTuPo = "115",//境界突破至几级
    daDiGuZiCanWu = "153",// 大帝古字-参悟
    shuFaLingWu = "157",// 术法领悟
    zhaoHuanZhenWen1 = "121",// 召唤阵纹{0}次
    fenJieZhenWen1 = "122",// 分解阵纹{0}次
    fenJieZhenWen2 = "123",// 分解阵纹获得{0}源
    clearZJ = "211",//通关章节
    zhaoHuanZhenWen2 = "214",//召唤阵纹{0}次
    seeAD = "202",//观看广告
    changeName = "218",//修改昵称
    passZhangJie = "211",//通关多少章多少关
    jingjieAny = "222",//修炼任意属性{0}次
    jingJieLv = "227", //境界强化{0}级
    jingjieHp = "231",//生命等级升至到{0}级
    jingjieAtk = "232",//攻击等级升至到{0}级
    jingjieDef = "233",//防御等级升至到{0}级
    TeamTimePass = "901",//{0}内通关{1}·{2}(组队副本)
    SingleTimePass = "902",//单人{0}内通关{1}·{2}(组队副本)
    TeamStarPass = "903",//{0}星通关{1}·{2}(组队副本)
    SingleStarPass = "904",//单人{0}星通关{1}·{2}(组队副本)
    JiejiuDz = "1001",//解救弟子
}

export enum GuideType {
    new = "evt_guide_new",
    gukuang = "evt_guide_gukuang",
    lose = "evt_guide_lose",
    evt_guide_150 = "evt_guide_150"
}

export enum WeekGuideId {
    onHookRwd = 3,//领取挂机奖励
    realmHp = 4,//境界Hp
    realmAttack = 5,//境界攻击
    realmDefense = 6,//境界防御
    realmBreak = 7, // 突破境界
    diziZhaoMu = 8,//弟子招募
    diziShangZhen = 9,//弟子上阵
    diziShengJi = 10,//弟子升级
    zhenFaShengJi = 11,// 阵法升级
    zhenFaZhaoHuan = 12,// 阵法召唤
    zhenFaJiaSu = 13,// 阵法加速
    shoulingShuaXin = 15,//兽灵刷新
    shoulingXunHua = 16,//兽灵驯化
    shoulingShengJi = 17,//兽灵升级
    shoulingShengXing = 18,//兽灵升星
    shoulingXiLian = 19,//兽灵洗练
    shoulingChongZhi = 20,//兽灵重置
    shoulingFangSheng = 21,//兽灵放生
    shoulingShangZhen = 22,//兽灵上阵
    yixiangChange = 23,//异象更换
    yixiangLv = 24,//异象升级
    yixiangRank = 25,//异象升阶
    daoWenJieFeng = 26,// 道纹解封
    daoWenQiangHua = 27,// 道纹强化
    daoWenFenJie = 28,// 道纹分解
    // daoWenChuanDai = 29,// 道纹穿戴
    daDiGuZiChouQu = 30,// 大帝古字抽取
    daDiGuZiFenJie = 31,// 大帝古字分解
    daDaoTianXin = 32,// 大帝古字-大道天心
    shuFaChouQu = 33,// 术法抽取
    // shuFaShengJi = 34,// 术法升级
    // shuFaTuPo = 35,// 术法突破
    // mingWenXiangQian = 36,// 铭文镶嵌
    // mingWenHeCheng = 37,// 铭文合成
    daoyouZy = 38,//道友赠礼
    daoyouQc = 39,//道友切磋
    dongtianLueDuo = 42,//福地掠夺
    ClubBoss = 45, //挑战宗门BOSS
    ClubSecretsBone = 46, // 升级宗门筋骨秘术
    ClubSecretsSpitit = 47, // 升级宗门元神秘术
    clubTask = 52, // 宗门任务
    doufaTiaoZhan = 54,//斗法挑战
    doufaFuChou = 55,//斗法挑战
    juexiantaiTiaoZhan = 56,//绝仙台挑战
    secretRealm = 57, // 秘境挑战
    zhenFuSecretRealm = 58, // 阵符秘境挑战
    zhaoMuSecretRealm = 59, // 招募秘境挑战
    shouLingSecretRealm = 60, // 兽灵秘境挑战
    climbingTower = 61, // 登仙路挑战
    digongChallenge = 62,//地宫挑战
    beisu = 67,//开启2倍战斗
    changeName = 68,//修改昵称&性别
    realmAny = 71,//升级任意属性
    hdDiZiAnyArea = 72,//弟子活动解锁星球空位
    hdDiZiProfit = 73,//弟子活动探索界面
    hdDiZiUnlockZWX = 74,//弟子活动解锁紫薇星
    hdDiZiUnlockHGX = 75,//弟子活动解锁荒古星
    hdDiZiUnlockFXX = 76,//弟子活动解锁飞仙星
    hdDiZiUnlockZDX = 77,//弟子活动解锁葬帝星
    taiChuGuKuang = 78,//源石矿场
    yaotianOrder = 79,//订单
    yaotian = 80,//药田
    yaotianSteal = 81,//药田窃取
    yaotianLianZhi = 82,//药田炼制
    yaotianFuYong = 83,//药田服用
    diziTujian = 84,//弟子图鉴
    diziShengXing = 85,//弟子升星
    autoFight = 86,//自动挑战boss
    diziYjsj = 87,//弟子一键升级
    diziTuPo = 88,//弟子突破
    zhenFaZhuanYan = 89,//阵法专研
    zhenFaLevelUp = 90,//阵法升级
    equipFumo = 91,//附魔装备次数
    equipFumoCost = 92,//附魔材料消耗
    kunlunCount = 93,//昆仑遗迹次数
    zongmenZhaomu = 94,//宗门招门徒次数
    zongmenXunLian = 95,//门徒训练的任务
    TeamChallengeCount = 96,//参与{0}次组队副本(全部副本，打了就算）
    HgjdChallengeCount = 97,//参与{0}次荒古禁地(打了就算）
    YdfzChallengeCount = 98,//参与{0}次妖帝坟冢(打了就算）
    QtxdChallengeCount = 99,//参与{0}次青铜仙殿(打了就算）

}

export enum WeekGuideType {
    jingjieHp = "jingjieHp",//境界hp提升按钮
    jingjieAny = "jingjieAny",//境界任意提升按钮
    yixiang = "yixiang",//修行内异象按钮
    yixiangLv = "yixiangLv",//异象升级
    yixiangRank = "yixiangRank",//异象升阶
    yixiangChange = "yixiangChange",//异象更换
    zhenFaSet = "zhenFaSet",// 阵法等级入口
    zhenFaShengJiBtn = "zhenFaShengJiBtn",// 阵法等级界面升级按钮
    zhenFaJiaSuBtn = "zhenFaJiaSuBtn",// 阵法等级界面加速按钮
    zhenFaZhaoHuan = "zhenFaZhaoHuan",// 主界面召唤按钮
    daoWenHuoQuBtn = "daoWenHuoQuBtn",// 道纹界面-获取按钮
    daoWenWeekGuideBtn = "daoWenWeekGuideBtn",// 道纹界面-弱引导按钮
    daoWenQiangHuaBtn = "daoWenQiangHuaBtn",// 道纹-道纹信息-强化按钮
    daoWenJieFengBtn = "daoWenJieFengBtn",// 道纹-解封道纹-解封按钮
    daoWenFenJieBtn = "daoWenFenJieBtn",// 道纹界面-分解按钮
    daDiGuZiCanWuBtn = "daDiGuZiCanWuBtn",// 大帝古字界面-参悟按钮
    daDiGuZiDaDaoTianXinBtn = "daDiGuZiDaDaoTianXinBtn",// 大帝古字界面-大道天心按钮
    daDaoTianXinUseBtn = "daDaoTianXinUseBtn",// 大帝古字-大道天心-使用按钮
    // shuFaBtn = "shuFaBtn",// 大帝古字-术法按钮
    // shuFaHuoQuBtn = "shuFaHuoQuBtn",// 大帝古字-术法-获取术法按钮
    shuFaLingWuOneBtn = "shuFaLingWuOneBtn",// 术法领悟-领悟1次按钮
    diziZhaoMu10 = "diziZhaoMu10",//弟子招募10次
    dizi = "dizi",//府邸弟子入口按钮
    shilianChallenge = "shilianChallenge",//试炼挑战按钮
    digongBtn = "digongBtn",//地宫入口
    daoyou = "daoyou",//府邸内道友入口
    daoyouCanZy = "daoyouCanZy",//可以赠礼的道友
    daoyouCanQc = "daoyouCanQc",//可以切磋的道友
    daoyouZyBtn = "daoyouZyBtn",//道友赠礼按钮
    daoyouQc = "daoyouQc",//道友切磋入口
    daoyouQcBtn = "daoyouQcBtn",//道友切磋按钮
    diziShangZhenSelect = "diziShangZhenSelect",//选择一个未上阵的弟子
    diziShengJiSelect = "diziShengJiSelect",//选择一个可升级的弟子
    diziShengXingSelect = "diziShengXingSelect",//选择一个可升星的弟子
    diziShengXingPage = "diziShengXingPage",//升星页签
    diziShengXing = "diziShengXing",//升星按钮
    diziShangZhen = "diziShangZhen",//上阵按钮
    diziShengJi = "diziShengJi",//升级按钮
    diziTujian = "diziTujian",//弟子图鉴
    diziYjsj = "diziYjsj",//弟子一键升级
    diziTuPoSelect = "diziTuPoSelect",//选择一个可突破的弟子
    diziTuPo = "diziTuPo",//突破按钮
    doufa = "doufa",//江湖界面斗法入口按钮
    doufaTiaoZhanList = "doufaTiaoZhanList",//打开挑战列表
    doufaTiaoZhan = "doufaTiaoZhan",//斗法挑战
    doufaLog = "doufaLog",//斗法记录
    juexiantai = "juexiantai",//江湖界面绝仙台入口按钮
    juexiantaiTiaoZhan = "juexiantaiTiaoZhan",//绝仙台挑战
    fudiSl = 'fudiSl',//府邸兽灵入口按钮
    slXunHuaPage = 'slXunHuaPage',//兽灵驯化入口按钮
    slShuaXin = 'slShuaXin',//兽灵刷新按钮
    slItem = 'slItem',//兽灵列表第一个item
    slShengJi = 'slShengJi',//兽灵升级按钮
    slShengXing = 'slShengXing',//兽灵升星入口按钮
    slSxAdd = 'slSxAdd',//兽灵升星添加按钮
    slSxXzAn = 'slSxXzAn',//兽灵升星选择按钮
    slSxQdAn = 'slSxQdAn',//兽灵升星确定按钮
    slSxAn = 'slSxAn',//兽灵升星按钮
    slXiLianPage = 'slXiLianPage',//兽灵洗练入口按钮
    slXiLian = 'slXiLian',//兽灵洗练按钮
    slChongZhi = 'slChongZhi',//兽灵重置按钮
    slFangSheng = 'slFangSheng',//兽灵放生按钮
    slShangZhen = 'slShangZhen',//兽灵上阵按钮
    fightBoss = 'FightBossBtn',//主页挑战首领按钮
    headBtn = 'headBtn',//主页头像设置按钮
    changeNameBtn = 'changeNameBtn',//设置界面改名按钮
    AFKBtn = 'AFKBtn',//挂机奖励按钮
    ReviveBtn = 'ReviveBtn',//直接领取挂机奖励
    ClubBtn = "ClubBtn",//江湖界面宗门入口按钮
    ClubTaskBtn = "ClubTaskBtn", // 宗门主界面上的宗门任务按钮
    ClubBossBtn = "ClubBossBtn", // 宗门主界面上的宗门(boss)挑战按钮
    ClubBossFightBtn = "ClubBossFightBtn", // 宗门BOSS界面上的挑战按钮
    ClubSecrets = "ClubSecrets", // 宗门主界面上的秘术按钮
    ClubSecretsBone = "ClubSecretsBone", // 宗门秘术界面上的筋骨页签按钮
    ClubSecretsSpitit = "ClubSecretsBone", // 宗门秘术界面上的元神页签按钮
    SecretRealm = "SecretRealm", // 试炼界面上的秘境页签按钮
    XiuWeiSecretRealm = "XiuWeiSecretRealm", // 试炼秘境界面上的修为项
    ZhenFuSecretRealm = "ZhenFuSecretRealm", // 试炼秘境界面上的阵符项
    ZhaoMuSecretRealm = "ZhaoMuSecretRealm", // 试炼秘境界面上的招募项
    ShouLingSecretRealm = "ShouLingSecretRealm", // 试炼秘境界面上的兽灵项
    SecretRealmChallengeBtn = "SecretRealmChallengeBtn", // 秘境详情界面上的挑战按钮
    ClimbingTower = "ClimbingTower", // 试炼-挑战界面上的登仙路
    ClimbingTowerFightBtn = "ClimbingTowerFightBtn", // 登仙路主界面上的挑战按钮
    ClimbingTowerInfoFightBtn = "ClimbingTowerInfoFightBtn", // 登仙路关卡信息界面上的挑战按钮
    BreakBtn = "BreakBtn", // 境界界面上的图片按钮
    RealmBreakBtn = "RealmBreakBtn", //境界突破界面上的图片按钮
    dongtianTanSuoBtn = "dongtianTanSuoBtn",//福地探索按钮
    HdDiZiAnyAreaBtn = "HdDiZiAnyAreaBtn", //弟子活动解锁星球空位按钮
    HdDiZiGetBtn = "HdDiZiGetBtn", //弟子活动领取按钮
    HdDiZiZWX = "HdDiZiZWX",//弟子活动紫薇星
    HdDiZiHGX = "HdDiZiHGX",//弟子活动荒古星
    HdDiZiFXX = "HdDiZiFXX",//弟子活动飞仙星
    HdDiZiZDX = "HdDiZiZDX",//弟子活动葬帝星
    taiChuGuKuang = "taiChuGuKuang",//源石矿场入口
    yaotianBtn = "yaotianBtn",//药田入口
    yaoshanBtn = "yaoshanBtn",//药山入口
    yaotianOrderBtn = "yaotianOrderBtn",//订单入口
    yaotianStealBtn = "yaotianStealBtn",//窃取入口
    yaoluBtn = "yaoluBtn",//药炉入口
    yaotianDanfangBtn = "yaotianDanfangBtn",//丹方按钮
    yaotianYaoGuiBtn = "yaotianYaoGuiBtn",//药柜按钮
    AutoFightBtn = "AutoFightBtn",//自动挑战boss按钮
    zhenFaZhuanYanOneBtn = "zhenFaZhuanYanOneBtn",//阵法专研抽取按钮 
    TeamChallengeBtn = "TeamChallengeBtn",//试炼组队页签按钮 
    TeamHgjdBtn = "TeamHgjdBtn", // 组队副本里的荒古禁地
    TeamYdfzBtn = "TeamYdfzBtn", // 组队副本里的妖帝坟冢
    TeamQtxdBtn = "TeamQtxdBtn", // 组队副本里的青铜仙殿
    zmxbPage = "zmxbPage",//宗门选拔按钮
    zmxbBtn = "zmxbBtn",//宗门选拔按钮
    zmpyBtn = "zmpyBtn",//宗门培养按钮
    equipItem = "equipItem",//境界界面装备item
    equipInfoFuMoBtn = "equipInfoFuMoBtn",//装备信息界面附魔按钮
    pvdEntr = "pvdEntr", // 试炼-挑战界面上的每日挑战(昆仑遗迹)
}

// 弹窗
export interface ItemBaseCfg {
    id: string,
    name: string,
    icon: string,
    pinzhi: number,
    desc: string,
    type: string,
    detailType: string,
    from: number[],
    param: { "items"?: number[][], "nums"?: number[], "kv"?: { [key: string]: number }, "count"?: number },
    iconUrl?: string,
    level?: number,
    nengliang?: number,
    iconshowtype?: number,
    kind?: number
}

export enum WarnSkillType {
    rect = "rect",
    round = "round"
}

export enum UIImageType {
    frame = "frame",    // 帧动画
    spine = "spine",    // 骨骼动画
    image = "image",    // 图片
}

export enum InGame {
    no,     // 未登录
    loginAccount,  // 平台账号登录成功
    loginUser, // 角色(服务器)登录成功
    home,    // 到了主城
    // battle  // 战斗中
}

export enum Lang {
    lang_zh_cn = "cn",
    lang_zh_tw = "tw",
    lang_ja_jp = "jp",
    lang_ko_kr = "kr"
}

export enum AudioConst {
    empty = "0",
    // 音乐-所有的音乐资源,前缀为bgm
    bgm_base = "1", //普通背景音乐
    bgm_club = "2", //宗门界面
    bgm_daoyou = "3", //道友界面
    bgm_shoulin = "4", //兽灵界面
    bgm_huoban = "5", //伙伴界面
    bgm_dongtian = "6", //洞天界面
    bgm_doufa = "7", //斗法界面
    bgm_juexiantai = "8", //绝仙台界面

    bgm_fight_doufa = "2001", //斗法(战斗背景)
    bgm_fight_juexiantai = "2002", //绝仙台(战斗背景)
    bgm_fight_clubBoss = "2003", //宗门boss(战斗背景)
    bgm_fight_xiuwei = "2004", //修为秘境(战斗背景)
    bgm_fight_zhenfu = "2005", //阵符秘境(战斗背景)
    bgm_fight_zhaomuling = "2006", //招募令秘境(战斗背景)
    bgm_fight_shoulin = "2007", //兽灵秘境(战斗背景)
    bgm_fight_dengxianlu = "2008", //登仙路(战斗背景)
    bgm_fight_digong = "2009", //地宫(战斗背景)
    bgm_fight_daoyou = "2010", //道友(战斗背景)

    bgm_map_hgjd = "3001", //荒古禁地(章节地图)
    bgm_map_gmll = "3002", //古木狼林(章节地图)
    bgm_map_lxdt = "3003", //灵虚洞天(章节地图)
    bgm_map_ydfz = "3004", //妖帝坟冢(章节地图)
    bgm_map_yhgx = "3005", //荧惑古星(章节地图)


    // 音效-所有的音效资源,前缀为effect
    effect_click = "1001", // 点击音效
    effect_open = "1002", // 弹框页面-打开
    effect_close = "1003", // 弹框页面-关闭
    effect_reward = "1004", // 恭喜获得
    effect_win = "1005", // 战斗胜利
    effect_lose = "1006", // 战斗失败
    effect_pvp_start = "1007", // pvp来袭
    effect_boss_start = "1008", // boss来袭
    effect_zhanli_up = "1009", // 战斗力提升动画播放时播放一次（战力下降不用播放）
    effect_open_type = "1010", //新功能提示出现时播放一次
    effect_unlock_map = "1011", //解封新地图时播放一次
    effect_level_up = "1012", //角色升级、伙伴升级、兽灵升级、御器升级、道纹强化、菩提藤升级、术法升级、道友好感度升级、大道天心升级
    effect_break = "1013", //角色突破、伙伴升星、兽灵升星、御器升阶、术法突破、道友好感度提升到指定阶段、召唤等级提升、招募等级提升
    effect_zhaomu_fanpai = "1014", //点击弟子招募、术法领悟后播放一次（10连也是播放一次）
    effect_get_newHuoBan = "1015", //获得新伙伴界面弹出时播放一次
    effect_shufa_fanpai = "1016", //有高级术法出现时播放一次（有多个高级的同时出现也只播一次）
    effect_shouling_xunhua = "1017", //驯化兽灵成功界面弹出时播放一次

    jq_kill = "201000",//	血雾攻击音效
    jq_wangzi = "201001",//	血雾攻击王子文音效
    jq_faqi = "201002",//法器保护王子文音效
    jq_bossshow = "201003",//	boss落地音效
    jq_bosspaoxiao = "201004",//	boss咆哮音效(招小怪)
    jq_bossdrop = "201005",//	boss遗落装备音效
    jq_zhuazou = "201006",//	金光攻击周毅音效
    jq_bossshake = "201007",	//boss说话画面抖动音效
    jq_hitback = "201008",//boss将玩家击退音效
    jq_yrycc = "201009",//	颜如玉出场音效
    jq_bosszh = "201010",//	boss咆哮音效(招小怪)
}

// 日常|周常 类型
export enum DailyType {
    daily = 1,
    week = 2
}

// 战斗类型背景
export enum FightTypeMap {
    pve = "pve"
}

export enum HelpType {
    empty = "",//空
    dizi = "1",//弟子
    dztj = "2",//弟子图鉴
    shouLing = '3',//兽灵
    slXh = '4',//兽灵驯化
    slJb = '5',//兽灵羁绊
    ShenYuan_war = "6", // 神源副本
    ZhenFu_war = "7", // 阵符副本
    DiZi_war = "8", // 弟子副本
    ShouLing_war = "9", // 兽灵副本
    climbingTower = "10", // 登仙路(爬塔)
    digongXunbao = "11",// 地宫寻宝
    doufa = "12",   //竞技场
    hdDouLuo = "13",// 最强斗罗
    yaoshan = "14",//药山
    daoyou = "15",//道友
    dzzm = "16",//弟子招募
    club = "17",     // 公会
    clubHall = "18", // 宗门大厅
    clubBoss = "19", // 宗门boss
    clubShop = '20', // 宗门商店
    secretScoll = "21", //宗门秘术
    daoWenJieFeng = "23",// 道纹解封
    daoWenQiangHua = "24",// 道纹强化
    daoWenLieBiao = "25",// 道纹列表
    ddgz_ddtx = "26",// 大帝古字-大道天心
    ddgz_shuFaFenJie = "27",// 大帝古字-术法分解
    ddgz_shuFa = "28",// 大帝古字-术法
    ddgz_huoQuShuFa = "29",// 大帝古字-术法
    zhenFaAuto = "30",// 阵法自动召唤
    zhenFaLv = "31",// 阵法等级列表
    bless = "32", //(宗门)福星高照   
    realmBreak = "33", // 境界突破
    dailyTask = "34",//日常任务
    zhenFaEps = "35",// 阵法属性
    dzxq = "36",//弟子详情
    dzjc = "37",//弟子继承
    dztp = "38",//弟子突破
    dzzrtj = "39",//弟子阵容推荐
    ClubTask = "40", //宗门任务活跃度说明
    lingmai = "41",//灵脉主界面  灵脉列表界面  灵脉房间界面
    hdDiZi = "44",//弟子活动(星空古路)
    hdShouLing = "45",//破除心魔
    hdDaoWen = "46", //仙宫古阙
    kaifuqingdian = '47',//开服庆典
    kaifu = '48',//开服冲榜
    zfzy = "49",// 阵法专研
    sfzm = "50",// 术法招募
    hdShuFa = "51", //术法活动(玄法臻境)
    yaotian = "52",//药田主界面
    yaolu = "53",//药炉界面
    yfyl = "54",//药方预览
    dyxx = "56",//丹药信息
    zzdj = "57",//种植等级
    dddj = "58",//订单等级
    zydj = "59",//制药等级
    cydj = "60",//采药等级
    yaoguieps = "61",//药柜属性
    pvd = "63",//每日挑战
    //TODO:还未配置正确id
    clubOfferRwd = "63",//宗门悬赏奖励页面
    zongmen = "64",//宗门主界面
    zmxb = "66",//宗门门徒选拔
    zmwr = "67",//宗门门徒委任
    zmjh = "68",//宗门门徒结好
    hdXianLuVying = "69",//仙路争锋
    hdHuoBanUp = "70",//伙伴限时招募
    zhuangBeiXiLian = "71",//装备洗练
    zhuangBeiFuMo = "72",//装备附魔
    offerMain = "76",//宗门悬赏首页
    zfNewMain = "77",//阵法页面首页
    offerPower = "78",// 宗门悬赏精力
    offerRepress = "79",//宗门悬赏镇压
    teamDesc = "80",//组队
    luoFu = "81",//罗浮仙域
    hdXuanTianDouFa = "82",//玄天斗法
    hdWanZuParty = "83",//万族盛会
    hdXiongShou = "84",// 凶兽入侵
    hdXianQiongZhiDian = "85",//仙穹之巅
    xianyu = "86",//仙域
    hdJieQi = "87",//节气活动
    xianGuan = "89",//仙官
    hdClubPk = "90",//梵天破会
    dzSkin = "91",//伙伴皮肤
    fudilibao = '999',//福地礼包
    hdHefu = "88",//合服活动主界面
    hdHefuFight = "92",//合服挑战界面
    hdHefuKuangHuan = "93",//狂欢盛宴界面
    hdHefuShenZang = "94",//神藏降临界面
    hdHefuSign = "95",//合服签到界面
    hdHefuFuLi = "96",//狂欢福利界面
    hdZhuanBan = "97",//装扮
    hdShangHua = "98",//赏花觅宝
    faze = "99",//法则
    fazeInfo = "100",//法则信息界面
    fazeCl = "101",//法则淬灵
    fazeLs = "102",//法则炼神
    fazeNy = "103",//法则凝元
    hdTianDeng = "104",//天灯祈愿
    hdTianDengGift = "105",//天灯祈愿礼包

}

export enum HdPriCardKey {
    fever = "fever",// 终身卡
    moon = "moon",// 月卡
    adver = "adver",// 免广告卡
    moonDT = "moonDT",// 洞天月卡/药田月卡
    TianMing = "TianMing",//天命卡
    ZhiZun = "ZhiZun",//至尊卡
    faze = "faze",// 法则月卡
}

export enum HdBanBenFuLiCard {
    guanggao = "1",// 免广告卡
    guaji = "2",// 挂机收益卡
    jinshi = "3",// 金石白嫖卡
    huoban = "4",// 伙伴白嫖卡
    shouling = "5",//兽灵白嫖卡
    zhenfa = "6",//阵法白嫖卡
    shufa = "7",//术法白嫖卡
}

export class ConstItem {
    static gem = [1, 1] // 钻石
    static coin = [1, 2] // 金币
    static xiuwei = [1, 4] // 修为
    static voucher = [1, 3]//代金券
    static zhenFu = [1, 103] // 阵符
    static speedCard = [1, 104] // 加速卡
    static yixiangLv = [1, 106] // 大地神乳-异象升级
    static yixiangRank = [1, 107] // 异象升阶
    static qulingfu = [1, 113]// 驱灵符
    static yaoXueShi = [1, 114]// 妖血石
    static yaoShenHua = [1, 115]// 妖神花
    static daoWenBag1 = [1, 116]// 道纹解封的道具1
    static daoWenBag2 = [1, 117]// 道纹解封的道具2
    static daoWenBag3 = [1, 118]// 道纹解封的道具3
    static daoWenBag4 = [1, 119]// 道纹解封的道具4
    static gongqiangwan = [1, 128] // 强力丸(地宫寻宝
    static huixuewan = [1, 129] // 回血丸(地宫寻宝
    static taiyangshenguo = [1, 126] // 太阳神果
    static hongsilongmu = [1, 129] // 红丝龙木
    static digongbaotu = [1, 139, 1] // 藏宝图(地宫寻宝
    static diJingCanPian = [1, 130]// 帝经残篇-抽取大帝古字的道具
    static daoZhiYuan = [1, 131]// 道之源-大道天心升级所需的经验
    static shuFaJingYan = [1, 132]// 术法经验-术法升级所需的经验
    static shangGuJuanZhou = [1, 133]// 上古卷轴-抽取术法的道具
    static xingChenJieJing = [1, 134]// 星辰结晶-附魔消耗的道具
    static diziLvUp = [1, 138]//弟子升级道具
    static xiulianshouce = [1, 140] // 修炼手册
    static hualongdan = [1, 141] // 化龙丹
    static shenJin = [1, 142, 1] //神金 挖矿产出道具
    static rouBao = [1, 144] // 肉包  用于恢复洞天道童体力
    static gukuangLine = [1, 145]// 太初古矿冲天炮
    static gukuangBoom = [1, 146]// 太初古矿炸弹
    static gukuangCost = [1, 147]// 太初古矿铲子
    static zzid1 = [1, 148]//种子id
    static zzid2 = [1, 149]//种子id
    static zzid3 = [1, 150]//种子id
    static jianmu = [1, 157]//建木
    static daoZhiFu = [1, 158]// 解封道纹时，指定道纹属性所需的道具
    static lingjing = [1, 163]// 圣兵消耗道具灵晶
    static fazeHuLu1 = [1, 191]// 下品乾坤壶
    static fazeHuLu2 = [1, 192]// 中品乾坤壶
    static fazeHuLu3 = [1, 193]// 上品乾坤壶
    static fazeCuiLing = [1, 200]//淬灵液
    static fazeNingYuan = [1, 201]//凝元露
    static fazeNyGaiLv = [1, 202]//凝运引
    static fazeNyBaoJi = [1, 203]//固本符 
    static fazeNyHuiSu = [1, 204]//逆劫印
    static diziStepUp = [1, 804] // 弟子突破道具
    static xinmo = [1, 918] // 镇灵符@@@@@@@@@
    static xianjujf = [1, 919] // 云中仙居-积分@@@@@@@@@
    static huaLianMiFu = [1, 930] // 化莲秘符@@@@@@@@@
    static biwubi = [1, 942] //比武币(武林大会)@@@@@@@@@
    static daoWenExp = [1, 1311]// 升级道纹的道具
    static xlzf_faze = [1, 5000] // 仙路争锋-法则积分-在法则专研活动中达到指定积分可领取奖励
    static dailyTaskItem = [1, 5001]//日常任务积分
    static hdKf = [1, 5002] // 开服庆典积分 
    static gljf = [1, 5003] // 弟子活动-古路积分-伙伴活动积分
    static qyzz = [1, 5004] // 弟子活动-起源之证-伙伴活动抽奖道具
    static xkfc = [1, 5005] // 弟子活动-星空粉尘-伙伴活动解锁道具
    static jiyuanjf = [1, 5006] // 机缘积分
    static xkscroe = [1, 5007] // 兽灵活动-当前积分
    static xkyj = [1, 5008] // 兽灵活动-虚空印记
    static hddaowenscore = [1, 5009] // 仙宫古阙-仙宫积分
    static hddaowencost = [1, 5010] // 仙宫古阙-古阙之石
    static xfjf = [1, 5011] // 术法活动-玄法臻境-玄法积分
    static xlzf_huoban = [1, 5012] // 仙路争锋-伙伴积分-在伙伴招募活动中达到指定积分可领取奖励
    static xlzf_yixiang = [1, 5013] // 仙路争锋-强者之证-在御器修炼活动中达到指定积分可领取奖励
    static xlzf_shouling = [1, 5014] // 仙路争锋-强者之证-在兽灵驯化活动中达到指定积分可领取奖励
    static xlzf_shufa = [1, 5015] // 仙路争锋-强者之证-在术法领悟活动中达到指定积分可领取奖励
    static xlzf_zhenfa = [1, 5016] // 仙路争锋-强者之证-在阵法专研活动中达到指定积分可领取奖励
    static xlzf_qzzz = [1, 5017] // 仙路争锋-强者之证-仙路商店中兑换珍稀道具
    static xlzf_lz = [1, 5018] // 仙路争锋-灵珠-限时兑换中换取道具
    static lfzr = [1, 5021] // 节气活动-砺锋之刃-切割原石需要消耗的道具
    static luyingfu = [1, 5022] // 凶兽入侵-戮影符-狙击他人需要消耗的道具
    static yushouling = [1, 5023] // 凶兽入侵-御兽令-挑战凶兽需要消耗的道具
    static tjt = [1, 5026] // 仙穹之巅-天骄贴-匹配挑战其他天骄时需要消耗的道具
    static xsjf = [1, 5042] // 凶兽入侵-凶兽积分-用于凶兽入侵活动排名
    static hgjd_ys = [1, 159] // 荒古禁地钥匙
    static ydfz_ys = [1, 160] // 妖帝坟冢钥匙
    static typf = [1, 1900] // 主角通用皮肤道具
    static chijin = [1, 400000] // 在御器化形中，激活/升级御器的通用材料
}

export enum PlatformType {
    local = "local", // local
    localbt = "localbt", // localbt
    wechat = "wechat", // 微信官方
    huo = "huo",    // 今鸿SDK
    // tiktok = "tiktok", // 
    ylWechat = "ylWechat", // 影流-微信平台
    ylTiktok = "ylTiktok", // 影流-抖音平台
    zhiling = "zhiling", // 智灵sdk(h5)
    zlWechat = "qiuwan", // 俅玩sdk
    bt = "bt", // 电魂变态版
    bth5 = "bth5", // quickH5变态版
    DHMini = "DHMini", // 电魂专属h5变态版
    DHWeChat = "DHWeChat", // 电魂专属变态版微信小游戏
    haituoH5 = "haituoH5", // 海拓H5
    haituoMini = "haituoMini", // 海拓小游戏
    wan17H5 = "wan17H5", // 17玩h5sdk
    taobao = "taobao", // 淘宝小游戏
    wan17 = "wan17",//17玩SDK
    wan17MiniGame = "wan17MiniGame",//17玩小游戏SDK(VIVO OPPO 小米)
    XXGame = "XXGame",//闲闲游戏SDK
    fenyou = "fenyou", // 奋游sdk(h5)
}

//功能开启的类型
export enum CheckOpenType {
    level = 1, //根据玩家等级开启
    task = 4, //根据任务数量开启
    zhenFa = 5,// 阵法抽取次数
    jingjie = 6,//境界等级
    zhenFaLv = 7,// 阵法等级
    clubOpen = 8,// 宗门开启时间
}

export enum OpenType {
    home = "0", // 主页
    jingJie = "100", // 境界
    zhuangBei = "150",// 装备
    zhuangBeiAuto = "151",// 阵法自动推演
    zhenFaJingLian = "152",// 阵法精炼
    zhenFaZhaoHuan = "153",// 阵法召唤
    zhenFaShengJi = "154",// 阵法升级
    zhenFaPushBag = "155",// 放入背包按钮
    zhuangBeiFuMo = "158",// 装备刻印(附魔)
    zhuangBeiXilian = "159",// 装备洗练
    dizi = "200", //弟子系统
    diziZhaoMu = "201",//弟子招募系统
    diziShangZhen = "203",//上阵1个弟子(203 - 208) 上阵1-6个弟子
    yixiang = "250",// 异象
    shouLing = "300", //兽灵
    shouLingWash = "305", //兽灵洗练
    shouLingAwaken = "306", //兽灵觉醒
    shoulingZhuzhan1 = "307", //兽灵助战1(左边)
    shoulingZhuzhan2 = "308", //兽灵助战2(右边)
    daoWen = "350",// 道纹
    daDiGuZi = "400",// 大帝古字
    shuFa = "401",// 	术法
    daDiGuZiAuto = "402",// 大帝古字自动参悟
    shuFaLingWu = "403",// 术法招募系统
    daoyou = "450",// 	道友
    yaotian = "500",//药田
    mine = "501", //洞天
    moonDT = "502",//洞天特权
    yaotianOrder = "503",//药田订单
    yaofang = "504",//药房
    club = "550",         // 宗门(门派)
    clubShop = "551",     // 宗门商店
    clubTask = "552",     // 宗门任务
    clubAssist = "553",   // 宗门协助
    clubRank = "554",     // 宗门排名
    clubBoss = "556",     // 宗门挑战(boss)
    clubSecrects = "557", // 宗门秘术
    clubTreasure = "558", // 宗门砍价玩法
    clubShengBin = "559", // 宗门圣兵
    clubWar = "560", // 宗门对决
    taiChuGuKuang = "561",//太初古矿
    clubOffer = "562", // 宗门悬赏
    dailyTask = "700",//日常任务
    hdFlyBird = "710", // 主界面活动飞鸟
    zhenFa = "750",// new阵法系统
    FaZe = "760",//法则
    FaZeCl = "761",//法则淬灵
    FaZeLs = "762",//法则炼神
    FaZeNy = "763",//法则凝元
    FaZeAssit1 = "764",//法则助战1
    FaZeAssit2 = "765",//法则助战2
    FaZeFenJieHuLu = "766",//法则分解乾坤壶
    zhenFaZhuanYan = "751",// 阵法专研系统
    xianYu = "950",//仙域
    xianYuShop1 = "951",//仙域商店主角
    xianYuShop2 = "952",//仙域商店伙伴
    hdXunBao = "970",//机缘寻宝
    xianYuCiFu = "960",//仙域赐福
    MainTask = "1000",//主线任务关卡(前往挑战boss)
    ShenYuan_war = "1010", // 神源副本
    ZhenFu_war = "1020", // 阵符副本
    DiZi_war = "1030", // 弟子副本
    ShouLing_war = "1040", // 兽灵副本
    DouFa = "1050", //斗法
    climbingTower = "1060",// 	爬塔(原试炼关卡)
    LingMai = "800",//灵脉
    LingMaiShop = "801",//灵脉商店
    ZongMen = "900",//宗门
    digong = "1080", //地宫
    juexiantai = "1100",// 绝仙台
    juexiantaiShop = "1101",// 绝仙台商店
    luoFu = "1120", // 荒塔(罗浮仙域)
    hdXiongShou = "1130", // 凶兽入侵
    pvd = "1170", // 每日挑战
    TeamHGJD = "1180", //组队副本（荒古禁地）
    TeamYDFZ = "1190", //组队副本（妖帝坟冢）
    TeamQTXD = "1200", //组队副本（青铜仙殿）
    TeamShop = "1201", //协助商店

    hdFund1 = "3000",	//境界基金
    hdFund2 = "3010",	//阵法基金
    hdFund3 = "3020",	//主线基金
    hdFund4 = "3030",	//试练关卡基金
    hdFund5 = "3040",	//术法基金
    hdFund6 = "3270",	//福地基金
    hdFund7 = "3280",	//秘境基金
    hdFund8 = "3281",	//宗门基金
    hdChargeDays = "3050",	//每日充值
    hdDayTehui = "3060",	//每日必购
    hdDayTeJia = "3070",	//每日豪礼
    hdSpeGift = "3080",	//每日特惠
    hdChargeTotal = "3090",	//累充好礼
    hdNewUser = "3100", //新人礼包 
    hdNewUserHeJi = "3101", //新人礼包合集
    hdLunHui = "3110",// 天道轮回
    hdKaifu = "3120",// 开服庆典
    hdDiZi = "3130",// 弟子活动
    hdShouLing = "3140",// 虚空裂缝
    hdDaoWen = "3150",// 道纹活动
    hdJiYuan = "3160",// 机缘
    hdChongBang = "3170",//关卡冲榜
    hdHuaLian = "3180",//神韵花莲
    chongZhiMain = "3190",//充值豪礼
    hdCard = "3191",//特权卡
    activityMain = "3200",//活动入口
    hdTimeBen = "3210", //限时福利
    hdPriCardMonth = "3220", //月卡
    hdPriCardFever = "3230", //年卡
    hdPriCardAdver = "3240", //免广告卡
    hdShangHua = "3410", // 赏花觅宝
    hdShangHuaGift = "3411", // 赏花觅宝
    hdShuaJinGift = "3440", // 刷金礼包
    hdTianDeng = "3450",//天灯祈愿
    hdZhangjiePush = "3260",//地图进度奖励活动
    hdZhengFeng = "3290",//仙路争锋
    hdZhengFengShop = "3291",//仙路争锋商店
    hdHuoBanGift = "3300",//伙伴礼包
    hdShuFa = "3310", // 术法活动
    hdDouFa = "3320",//玄天斗法
    hdBanBenFuli = "3330",//版本福利
    hdShangXian = "3340",//上线福利
    hdOnLine = "3350",//在线福利
    hdHeFu = "3360",//合服活动
    hdHeFuGift = "3361",//合服活动礼包
    hdHeFuZhuanPan = "3362",//合服狂欢转盘
    hdHeFuFight = "3363",//合服挑战
    hdHeFuKuangHuan = "3364",//合服狂欢福利
    hdHeFuSigh = "3365",//合服签到
    hdHeFuShenZang = "3366",//合服神藏
    hdJieQi = "3370", // 节气活动
    hdXianQiong = "3380", // 仙穹之巅
    hdClubFight = "3390",//梵天破会
    hdClubFightGift = "3391",//梵天破会礼包
    hdJiuXiao = "3400",//九霄天枢
    hdXiuWeiShenZao = "3420", // 修为深造
    guanzhuhaoli = "3430", // 关注豪礼
    hdWanZuParty = "1110", // 万族盛会

    chat = "10000", // 聊天 
    mail = "10010",	//邮箱
    BattleSpeed = "10020",	//2倍战斗
    MapSpeedOpen = '10021', //地图加速开关
    SkipOpen = '10022', //跳过开关
    AutoFightBoss = "10030", //自动挂机挑战
    bag = "10040", // 背包
    hdSignGift = "10090",//七日签到 
    xiantu = "10100",// 仙途
    touXiang = "10110", // 头像
    touXiangKuang = "10120", // 头像框
    qiPaoKuang = "10130", // 气泡框
    chengHao = "10140", // 称号
    shop = "10080", //道具市集
    shopYuanshi = "10081", //源石市集
    shopShenYuan = "10082", //神源市集
    shopVoucher = "10083", //代金券市集
    hdActPre = "10101",//活动预告
    hdYunShi = "10160", //	运势
    XIUXING = "10170", // (主页底部的)修行按钮
    FUDI = "10180", // (主页底部的)府邸按钮
    SHILIAN = "10190", // (主页底部的)试炼按钮
    JIANGHU = "10200", // (主页底部的)江湖按钮
    ZHAOMU = "10210", // (主页底部的)招募按钮
    TiaoZhan = "10220", // 挑战玩法(试炼塔、地宫、仙域、山海等入口页签)
    TeamGames = "10225", //组队副本（荒古禁地、妖帝坟冢、青铜仙殿）
    SecretRealm = "10230",    // 试炼秘境页签
    SlShengXing = "10240", //兽灵升星
    daoWenQiangHua = "10250", // 道纹强化
    OnHookRwd = "10260", //挂机奖励
    FightBoss = "10270", //挑战首领
}

export enum JumpId {
    mainStage = "1000",//主线关卡
}

// 平台个人数据
export interface PlatUserInfo {
    nickName: string,
    avatarUrl: string
}

// 微信场景值
export enum WechatSceneValue {
    scene1000 = 1000, ///其他	
    scene1001 = 1001, ///发现页小程序「最近使用」列表(基础库2.2.4 - 2.29.0版本包含「我的小程序」列表,2.29.1版本起仅为「最近使用」列表)	
    scene1005 = 1005, ///微信首页顶部搜索框的搜索结果页	
    scene1006 = 1006, ///发现栏小程序主入口搜索框的搜索结果页	
    scene1007 = 1007, ///单人聊天会话中的小程序消息卡片	
    scene1008 = 1008, ///群聊会话中的小程序消息卡片	
    scene1010 = 1010, ///收藏夹	
    scene1011 = 1011, ///扫描二维码	
    scene1012 = 1012, ///长按图片识别二维码	
    scene1013 = 1013, ///扫描手机相册中选取的二维码	
    scene1014 = 1014, ///小程序订阅消息(与1107相同)	
    scene1017 = 1017, ///前往小程序体验版的入口页	
    scene1018 = 1018, ///openWeApp JSAPI,网页打开进入小程序 
    scene1019 = 1019, ///微信钱包(微信客户端7.0.0版本改为支付入口)	
    scene1020 = 1020, ///公众号 profile 页相关小程序列表(已废弃)	
    scene1022 = 1022, ///聊天顶部置顶小程序入口(微信客户端6.6.1版本起废弃)	
    scene1023 = 1023, ///安卓系统桌面图标	
    scene1024 = 1024, ///小程序 profile 页	
    scene1025 = 1025, ///扫描一维码	
    scene1026 = 1026, ///发现栏小程序主入口,「附近的小程序」列表	
    scene1027 = 1027, ///微信首页顶部搜索框搜索结果页「使用过的小程序」列表	
    scene1028 = 1028, ///卡包里的券和礼品卡,打开小程序	
    scene1029 = 1029, ///小程序中的卡券详情页	
    scene1030 = 1030, ///自动化测试下打开小程序 
    scene1031 = 1031, ///长按图片识别一维码	
    scene1032 = 1032, ///扫描手机相册中选取的一维码	
    scene1034 = 1034, ///微信支付完成页	
    scene1035 = 1035, ///公众号自定义菜单	
    scene1036 = 1036, ///App 分享消息卡片	
    scene1037 = 1037, ///小程序打开小程序	
    scene1038 = 1038, ///从另一个小程序返回	
    scene1039 = 1039, ///摇电视	
    scene1042 = 1042, ///添加好友搜索框的搜索结果页	
    scene1043 = 1043, ///公众号模板消息	
    scene1044 = 1044, ///带 shareTicket 的小程序消息卡片 详情	
    scene1045 = 1045, ///朋友圈广告	
    scene1046 = 1046, ///朋友圈广告详情页	
    scene1047 = 1047, ///扫描小程序码	
    scene1048 = 1048, ///长按图片识别小程序码	
    scene1049 = 1049, ///扫描手机相册中选取的小程序码	
    scene1052 = 1052, ///卡券的适用门店列表	
    scene1053 = 1053, ///发现页进入搜一搜的搜索结果页	
    scene1054 = 1054, ///顶部搜索框小程序快捷入口(微信客户端版本6.7.4起废弃)	
    scene1055 = 1055, ///JSAPI网页打开小程序 
    scene1056 = 1056, ///聊天顶部音乐播放器右上角菜单	
    scene1057 = 1057, ///钱包中的银行卡详情页	
    scene1058 = 1058, ///公众号文章调用openWeApp	
    scene1059 = 1059, ///体验版小程序绑定邀请页 
    scene1064 = 1064, ///微信首页连Wi - Fi状态栏	
    scene1065 = 1065, ///URL scheme 详情 
    scene1067 = 1067, ///公众号文章广告	
    scene1068 = 1068, ///附近小程序列表广告(已废弃)	
    scene1069 = 1069, ///移动应用通过 openSDK 进入微信,打开小程序	
    scene1071 = 1071, ///钱包中的银行卡列表页	
    scene1072 = 1072, ///二维码收款页面	
    scene1073 = 1073, ///客服消息列表下发的小程序消息卡片	
    scene1074 = 1074, ///公众号会话下发的小程序消息卡片	
    scene1077 = 1077, ///摇周边	
    scene1078 = 1078, ///微信连Wi - Fi成功提示页	
    scene1081 = 1081, ///客服消息下发的文字链	
    scene1082 = 1082, ///公众号会话下发的文字链	
    scene1084 = 1084, ///朋友圈广告原生页	
    scene1088 = 1088, ///会话中看系统消息,打开小程序 
    scene1089 = 1089, ///微信聊天主界面下拉,「最近使用」栏(基础库2.2.4 - 2.29.0版本包含「我的小程序」栏,2.29.1版本起仅为「最近使用」栏	
    scene1090 = 1090, ///长按小程序右上角退出键唤出最近使用历史	
    scene1091 = 1091, ///公众号文章商品卡片	
    scene1092 = 1092, ///城市服务入口	
    scene1095 = 1095, ///小程序广告组件	
    scene1096 = 1096, ///聊天记录,打开小程序	
    scene1097 = 1097, ///微信支付签约原生页,打开小程序	
    scene1099 = 1099, ///页面内嵌插件 
    scene1100 = 1100, ///红包封面详情页打开小程序	
    scene1101 = 1101, ///远程调试热更新(开发者工具中,预览 -> 自动预览 -> 编译并预览)	
    scene1102 = 1102, ///公众号profile页服务预览模块,打开小程序	
    scene1103 = 1103, ///发现页小程序「我的小程序」列表(基础库2.2.4 - 2.29.0版本废弃,2.29.1版本起生效)	
    scene1104 = 1104, ///微信聊天主界面下拉,「我的小程序」栏(基础库2.2.4 - 2.29.0版本废弃,2.29.1版本起生效)	
    scene1106 = 1106, ///聊天主界面下拉,从顶部搜索结果页,打开小程序 
    scene1107 = 1107, ///订阅消息,打开小程序 
    scene1113 = 1113, ///安卓手机负一屏,打开小程序(三星)	
    scene1114 = 1114, ///安卓手机侧边栏,打开小程序(三星)	
    scene1124 = 1124, ///扫"一物一码"打开小程序 
    scene1125 = 1125, ///长按图片识别"一物一码"	
    scene1126 = 1126, ///扫描手机相册中选取的"一物一码"	
    scene1129 = 1129, ///微信爬虫访问 详情 
    scene1131 = 1131, ///浮窗(8.0版本起仅包含被动浮窗)	
    scene1133 = 1133, ///硬件设备打开小程序 详情 
    scene1135 = 1135, ///小程序profile页其他小程序列表,打开小程序	
    scene1144 = 1144, ///公众号文章 - 视频贴片	
    scene1145 = 1145, ///发现栏 - 发现小程序	
    scene1146 = 1146, ///地理位置信息打开出行类小程序	
    scene1148 = 1148, ///卡包 - 交通卡,打开小程序 
    scene1150 = 1150, ///扫一扫商品条码结果页打开小程序	
    scene1152 = 1152, ///订阅号视频打开小程序	
    scene1153 = 1153, ///	"识物"结果页打开小程序	
    scene1154 = 1154, ///朋友圈内打开"单页模式"	
    scene1155 = 1155, ///	"单页模式"打开小程序	
    scene1158 = 1158, ///群工具打开小程序	
    scene1160 = 1160, ///群待办	
    scene1167 = 1167, ///H5 通过开放标签打开小程序 详情 
    scene1168 = 1168, ///移动 / 网站应用直接运行小程序 
    scene1177 = 1177, ///视频号直播商品	
    scene1178 = 1178, ///在电脑打开手机上打开的小程序	
    scene1179 = 1179, ///#话题页打开小程序	
    scene1181 = 1181, ///网站应用打开PC小程序 
    scene1184 = 1184, ///视频号链接打开小程序	
    scene1187 = 1187, ///浮窗(8.0版本起)	
    scene1193 = 1193, ///视频号主页服务菜单打开小程序	
    scene1194 = 1194, ///URL Link 详情 
    scene1197 = 1197, ///视频号主播从直播间返回小游戏	
    scene1198 = 1198, ///视频号开播界面打开小游戏	
    scene1199 = 1199, ///小游戏内"更多游戏"入口打开小程序 
    scene1200 = 1200, ///视频号广告打开小程序	
    scene1201 = 1201, ///视频号广告详情页打开小程序	
    scene1205 = 1205, ///非广告进入视频号直播间打开游戏卡片 
    scene1206 = 1206, ///视频号小游戏直播间打开小游戏	
    scene1219 = 1219, ///视频号直播间小游戏一键上车 
    scene1223 = 1223, ///安卓桌面Widget打开小程序	
    scene1228 = 1228, ///视频号原生广告组件打开小程序	
    scene1230 = 1230, ///订阅号H5广告进入小程序	
    scene1231 = 1231, ///动态消息提醒入口打开小程序	
    scene1232 = 1232, ///搜一搜竞价广告打开小程序 
    scene1233 = 1233, ///小程序搜索推荐模块打开小游戏 
    scene1238 = 1238, ///看一看信息流广告打开小程序 
    scene1239 = 1239, ///视频号小游戏直播间气泡浮窗打开小游戏 

}
// 上报角色事件
export enum ReportRoleType {
    online = 1,      //角色登录
    create = 2,      //创建角色
    levelup = 3,     //提升等级
    offline = 4,     //角色退出
    other = 5,       //其他
    delete = 6,      //删除角色
    pay = 7,         //支付
    changeName = 8,         //改名
}
// 下单时传入的商品信息
export interface PayProductParam {
    price: number    // 价格
    productId: string   // 商品ID(不是订单ID,是配置ID)
    productName: string // 商品名称
    productDesc: string // 商品描述
}

// 红点类型
export enum RedDotType {
    yixiang = "yixiang", // 异象(原剑灵翅膀)
    clubHelp = "clubHelp",// 宗门助力
}
// 公告类型
export enum NoticeType {
    outside = "outside", // 登录页公告
    inside = "inside"   // 游戏内公告
}

// 隐私协议类型
export enum AgreementType {
    privacy = "privacy", // 隐私协议
    user = "user"  //用户协议
}

// 角色头像点击类型
export enum UserHeadType {
    empty = 0,  // 无操作
    detail = 1  // 显示角色信息
}

// 授权角色头像
export enum WechatUserBtnType {
    head = "head",  // 点击主页头像
    chat = "chat",  // 点击聊天输入框
    pvp = "pvp"  // 点击斗法挑战
}

// 订阅类型
export enum SubscribeType {
    boxLv = "1", //	阵法升级完成
    onHook = "2",// 挂机奖励已满
    pvp = "3", //	斗法被挑战
    pvp_rwd = "3", // 斗法奖励已发放
    mine_refresh = "4", // 	福地3级资源刷新
    mine_complete = "4", // 福地拉车完成
    pvp_jxt = "5", //	绝仙台被挑战
    pvp_jxtConut = "5", //	绝仙台挑战次数恢复
    //暂时不需要
    newVersion = "109", // 新版本更新
}

// 错误码
export enum GameErrCode {
    errPlatInit = 10000, // sdk初始化失败
    errPlatLogin = 10010, // sdk登录失败
    errGamePlatLogin = 10020, // 游戏平台登录
    errGameLoginPlayer = 10030, // 用户登录
    errGameLoginUser = 100040, // 游戏角色登录
}

// 今日不再提醒key
export enum DayTipsKey {
    daoyouUseItem = "daoyouUseItem", // 道友送信物
    diziZhaoMuTips = "diziZhaoMuTips",//弟子招募提示
    giveUp_addBuff = "giveUp_addBuff", //爬塔放弃加成选择
    daDiGuZi_deal = "daDiGuZi_deal", // 大帝古字装备处理
    daDiGuZi_dealAll = "daDiGuZi_dealAll", // 大帝古字装备一键处理
    daDiGuZi_canWu = "daDiGuZi_canWu", // 大帝古字参悟提示
    fudi_allcar_refresh = "fudi_allcar_refresh", // 福地所有车刷新
    fudi_car4_refresh = "fudi_allcar_refresh", // 福地4级车以上刷新
    zhenFa_deal = "zhenFa_deal", // 阵法装备处理
    notice = "notice", // 公告主动弹窗
    shouLing_refresh = "shouLing_refresh", // 兽灵刷新高品质提示
    shouLing_AutoRefresh = "shouLing_AutoRefresh", // 兽灵自动刷新提示
    shouLing_AutoRefreshWin = "shouLing_AutoRefreshWin", // 兽灵自动刷新结果提示
    zhenFaZhuanYanTips = "zhenFaZhuanYanTips",// 阵法专研提示
    shuFaZhaoMuTips = "shuFaZhaoMuTips",//术法招募提示
    shuFa_mingWen = "shuFa_mingWen",// 术法-铭文提示
    zhenfaZhaoMuTips = "zhenfaZhaoMuTips",//阵法招募提示
    offerRefreshTask = "offerRefreshTask",//悬赏刷新高品任务
    hdShouLingForce = "hdShouLingForce", // 虚空裂缝-强制挑战
    chargeByDaiJinQuan = "chargeByDaiJinQuan", // 使用代金券充值
    zhenFaZhaomuAnim = "zhenFaZhaomuAnim", // 阵法招募动画跳过
    shufaZhaomuAnim = "shufaZhaomuAnim", // 术法招募动画跳过
    diziZhaomuAnim = "diziZhaomuAnim", // 弟子招募动画跳过
    hdHefuZhuanPanAnim = "hdHefuZhuanPanAnim", // 弟子招募动画跳过
    realmAll = "realmAll",//境界一键升级
    yiXiangAll = "yiXiangAll",//异象一键升级
    ShouLingAll = "ShouLingAll",//兽灵一键升级
    ShouLingAllRefresh = "ShouLingAllRefresh",//兽灵一键刷新
    xingyuFifty = "xingyuFifty",//星域50连抽
    xianguFifty = "xianguFifty",//仙古宫阙50连抽
    shengBing = "shengBing",//圣兵刷新
    hdClubPk = "hdClubPk",//梵天破会消耗提示
    hdJieQiAuto = "hdJieQiAuto",//节气活动自动
    hdJieQiOpenAutoTips = "hdJieQiOpenAutoTips",//节气活动开启自动提示
    hdJieQiAutoEndTips = "hdJieQiAutoEndTips",//节气活动自动结束提示
    xianYuQifuTip = "xianYuQifuTip",//仙域未祈福提示
    fazeMidHuLu = "fazeMidHuLu",//法则中品葫芦购买提示
    fazeCuiLing = "fazeCuiLing",//法则淬灵道具提示
    fazeNingYuan = "fazeNingYuan",//法则凝元提示
    fazeSpeHc = "fazeSpeHc",//特殊法则合成
}

// 每日首次红点类型
export enum DailyRedType {
    hdWuLin = "hdWuLin",// 武林大会
    hdWuLin_rank = "hdWuLin_rank",// 武林大会-排行
    hdWuLin_rwd = "hdWuLin_rwd",// 武林大会-奖励
    hdDaoWenGift = "hdDaoWenGift", // 道纹活动礼包
    hdShouLingGift = "hdShouLingGift", // 兽灵活动礼包
    taiChuGukuangAuto = "taiChuGukuangAuto",//太初古矿红点
    month = "month", // 月卡红点
    fever = "fever", // 终身卡红点
    adver = "adver", // 免广告卡红点
    yiXiangLiBao = "yiXiangLiBao", // 异象礼包红点
    hdTIanDengCode_1 = "hdTIanDengCode_1",//天灯抽奖码
    hdTIanDengCode_2 = "hdTIanDengCode_2",//天灯抽奖码
    hdTIanDengCode_3 = "hdTIanDengCode_3",//天灯抽奖码
}


//系统的一些事件
export enum CC_NODE_EVENT {
    SCROLL_TO_TOP = 'scroll-to-top',//滚动视图滚动到顶部边界事件
    SCROLL_TO_BOTTOM = 'scroll-to-bottom',//滚动视图滚动到底部边界事件
    SCROLL_TO_LEFT = 'scroll-to-left',//滚动视图滚动到左边界事件
    SCROLL_TO_RIGHT = 'scroll-to-right',//滚动视图滚动到右边界事件
    SCROLLING = 'scrolling',//滚动视图正在滚动时发出的事件
    SCROLL_BOUNCE_BOTTOM = 'bounce-bottom',//滚动视图滚动到底部边界并且开始回弹时发出的事件
    SCROLL_BOUNCE_LEFT = 'bounce-left',//滚动视图滚动到左侧边界并且开始回弹时发出的事件
    SCROLL_BOUNCE_RIGHT = 'bounce-right',//滚动视图滚动到右侧边界并且开始回弹时发出的事件
    SCROLL_BOUNCE_TOP = 'bounce-top',//滚动视图滚动到顶部边界并且开始回弹时发出的事件
    SCROLL_END = 'scroll-ended',//滚动视图滚动结束的时候发出的事件
    SCROLL_TOUCH_END = 'touch-up',//当用户松手的时候会发出一个事件
    SCROLL_END_WITH_THRESHOLD = 'scroll-ended-with-threshold',//滚动视图自动滚动快要结束的时候发出的事件
    SCROLL_BEGAN = 'scroll-began',//滚动视图滚动开始时发出的事件

    EDIT_DID_BEGAN = 'editing-did-began',  //开始输入事件
    EDIT_DID_ENDED = 'editing-did-ended',  //结束输入事件
    EDIT_CHANGED = 'text-changed',  //正在输入事件
    EDIT_RETURN = 'editing-return',  //返回输入事件
}

// 广告key  慎重备注:添加新的广告id,一定一定一定要联系主管去所有后台申请AdId并且配置到packInfo表中  重要事情说三遍!!!!!
export enum AD_VIDEO_KEY {
    welChest = "welChest",  // 福利宝箱(飞行宝箱)
    climbingTower = "pvw",  // 爬塔(原关卡试炼--快速挑战) 
    dongtian = "dongtian", //洞天刷新货车
    dizi = "dizi",//弟子招募
    shuFaHuoQu = "shuFaHuoQu", // 术法获取
    onHook = "onHook", // 挂机奖励
}
//广告模块转中文，数数上报用
export enum AD_VIDEO_STRING {
    hdFeiNiao = "飞鸟奖励",
    actZhangjie = "挂机奖励",
    actZhenfaNew = "阵纹升级加速",
    actDadiGuzi_ShuFaLingWu = "术法领悟",
    actDiGongXunBao = "紫山(地宫)奖励",
    actDiZi = "弟子招募",
    actDongTian_tili = "道童加体力",
    actDongTian_lache = "洞天拉车",
    actLingMai = "灵脉折扣",
    actLingMai_rwd = "灵脉奖励",
    actShouLing = "兽灵刷新",
    actGuKuang = "太初古矿",
    actYaoTian = "药田肥料",
}

// 战斗TeamId
export enum BattleTeamId {
    role1 = "10",  // 己方
    xianlv1 = "11",  //己方仙侣
    role2 = "20",  // 敌方
    xianlv2 = "21",  // 敌方仙侣
}

// 主界面战斗的状态
export enum EquipBattleStatus {
    stand = "stand",// 在原地
    moving = "moving",// 移动中
    attacking = "attacking",// 攻击中
}

// 玩家状态枚举
export enum ePersonState {
    NONE = -1,
    STATE_IDLE,
    STATE_RUN,
    STATE_DEAD,
    STATE_ATTACK,
    STATE_SKILL,
    MAX
}
// 地图格子类型枚举
export enum eCellType {
    NOMAL,
    START,
    END,
    PATH,
    OBSTACLES,
}

// 移动到达目的地类型
export enum eMoveType {
    NOMAL,
    HOME,   //返回出生点
    PATROL, //巡逻目标点
    PLAYER, //移动到主角旁边
}

// 地图类型
export enum eMapType {
    HOMEPAGE = "HOMEPAGE",   // 主页
    BOSS = "BOSS",           // BOSS地图
    PVE = "PVE",             // 副本地图
    TOWER = "CLIMBINGTOWER", // 爬塔
    DOUFA = "DOUFA",         // 斗法
    CLUBBOSS = "CLUBBOSS",   // 宗门召唤的BOSS
    DIGONG = "DIGONG",  //地宫寻宝
    DAOYOU = "DAOYOU",  //道友战斗
    WULIN = "WULIN", //武林
    CHALLENGE = "CHALLENGE", // 秘境(副本)挑战
    DOULUO = "DOULUO",//最强斗罗
    LINGMAI = "LINGMAI",//灵脉抢座
    LUOFU = "LUOFU",// 罗浮仙域
    PVD = "PVD", // 每日挑战
    YAOTIAN = "YAOTIAN",//药田驱赶
    HGJD = "HGJD",//组队战斗
    QTXD = "QTXD",//青铜仙殿
    YDFZ = "YDFZ",//妖帝坟冢
    HDHF = "HDHF",//合服挑战
    OFFER_CHALLENGE = "OFFER_CHALLENGE",   // 宗门悬赏挑战玩家
    OFFER_BOSS = "OFFER_BOSS",   // 宗门悬赏镇压boss
    HDDOUFA = "HDDOUFA",//玄天斗法
    WANZUPARTY = "WANZUPARTY", // 秘境(副本)挑战
    HDCLUBPK = "HDCLUBPK", // 梵天破会
    HDXIANQIONG = "HDXIANQIONG", // 仙穹之巅
    HDXIONGSHOU_BOSS = "HDXIONGSHOU_BOSS", // 凶兽入侵打怪
    HDXIONGSHOU_PVP = "HDXIONGSHOU_PVP", // 凶兽入侵玩家战斗
    TEST = "test",//测试战斗
}

// 地图上的模型类型
export enum eMapRoleType {
    NONE = 0,
    PLAYER = 1,     // 玩家
    FOLLOWER = 2,   // 弟子
    BEASTSPRIT = 3, // 兽灵
    MONSTER = 4, // 小怪
    BOSS = 5,
    BOX = 6, // 宝箱怪
}

// 角色节点的控件脚本类型
export enum eRoleControlType {
    PLAYER,
    FOLLOWER,
    MONSTER,
    BEASTSPRIT,
    MAPBOSS
}

// 创建怪物的信息
export interface MonsterInfo {
    spineName: string,
    zhanwei: number,
    atkDis: number,
    parentNode: cc.Node,
    eps: any,
    fid: string,
    iid: string,
    roleType: eMapRoleType,
    mapType: eMapType
}

// 创建地图上战斗单位模型的信息
export interface FightRoleInfo {
    // /** 角色数据库id */
    // configId: string,
    posId: number,  //站位 //zhanwei:number, 
    atkDis: number, //攻击距离
    maxHp: number,
    hp: number,//当前血量
    roleType: eMapRoleType,
    mapType: eMapType,
    fid: string,
    iid: string,
    spineName?: string,
    spineScale?: number,
    controlType: eRoleControlType,
    parentNode?: cc.Node,
    eps?: any,  //属性数据
    isHide?: number, //1隐藏
    state?: ePersonState
    isFrame: number,
    skinId?: string,
    yxid?: string,
    hxid?: string
}

// 攻击信息
export interface AttackTargetInfo {
    underAttackLog: LogOneData,  // 遭到攻击日志
    roleControl: RoleBase,      // 受击目标组件
    aType: ActionType; //战斗动作类型
    aSkid: string; //使用的技能ID
    effTimeScale?: number//特效播放速度
}

// 境界升级的属性类型
export enum eRealmType {
    NONE = 0,
    ATTACK,  //攻击
    DEFENSE, //防御
    LIFE,    //生命
    MAX,
}
// 境界升级的属性类型
export enum eRealmAttrName {
    HP = "hp_max",   //生命
    ATTACK = "atk",  //攻击
    DEFENSE = "def", //防御
}

//战斗加速配置
export enum eFightSpeed {
    SPEED1 = 1.5, //一倍速
    SPEED2 = 0.8, //二倍速
    // SPEED4 = 0.5, //四倍速
}
//战斗加速配置
export enum SkillType {
    /** 普攻 */
    Normal = 1,
    /** 技能 */
    Skill = 7,
    /** 神通 */
    ShenTong = 5
}
/** 技能特效类型 */
export enum SkillEffectType {
    /** 贝塞尔弹道 */
    DanDaoBezier = 1,
    /** aoe技能 */
    Aoe = 2,
    /** 直线弹道 */
    DanDaoLine = 3,
}

export enum MenuSwitchKey {
    empty, // 无
    club,  // 宗门
    wanfa,  // 玩法
    pve,//关卡
    home,//主页
    pvp,//决斗
    mine,//洞天
    shop,//商店
    fushi// 钓鱼
}

export interface ZhenFaAutoSet {
    isCheck?: number, //1选择0未选择
    pinzhi?: number,// 品质
    ep1?: string,// 属性1
    ep2?: string,// 属性2
    openCount?: number,// 多倍开启
    autoStart?: number,// 自动开始
    autoPause?: number,// 自动暂停
    time?: number,// 时间戳
}

// 宗门成员列表
export enum UserDetailType {
    normal = 1,     // 普通模式
    clubMaster = 2, // 盟主模式
}

// 宗门修改类型
export enum eClubAlter {
    Name = 0,         // 宗门名字  #E45849前往    #6FDF89
    WX = 1,           // 盟主微信
    Declaration = 2,  // 宗门宣言
    Notice = 3,       // 宗门公告
}

// 宗门秘术枚举
export enum eClubSecrets {
    NONE = -1,
    BONE = 0,    // 筋骨秘术
    JINGLUO = 1,  // 经络秘术
}

// 宗门任务状态枚举
export enum eClubTaskState {
    COMPLETE = 0, // 已领过奖励
    GoTo = 1,     // 未达成(前往)
    AWARD = 2,    // 已完成未领奖
}

// 玩法商店商品的购买状态
export enum eGamesShopBuy {
    FREE = 0,    //可免费购买
    COST = 1,    //花费货币购买
    SELLOUT = 2, //已售罄
    LOCK = 3,    //未解锁
}

// 修行页签类型
export enum eXiuXing {
    Realm = 0,  // 境界
    YiXiang = 1,  // 异象
    DaoWen = 2,  // 道纹
    ShuFa = 3,  // 术法
}

export enum DiZiSkillType {
    spell_basic = 0,//普通攻击
    spell_action = 1,//主动技能
    spell_passive = 2,//被动技能1
    spell_passive2 = 3,//被动技能2
}

export enum ItemMoneyType {
    empty = "empty",
    dzsp = "dzsp",//弟子碎片
    zfsp = "zfsp",//阵法碎片
    hbSkin = "hbSkin",//伙伴皮肤专属道具
    zjSkin = "zjSkin",//主角皮肤专属道具
    slSkin = "slSkin",//兽灵皮肤专属道具
}

// 商店购买类型
export enum showItemNumType {
    item = 0,//道具
    shenyuan = 1,//神源
    voucher = 2,//代金券
    yuanshi = 3,//源
    club = 5, //宗门 
}

// 开服活动类型
export enum kaifuType {
    qingDian = 0,//庆典
    chongBang = 1,//冲榜
}
export enum eSkinsType {
    REALM = 1, // 境界等级解锁的皮肤类型
    PROP = 2,  // 道具解锁的皮肤类型
}

// 试炼页签类型
export enum eShiLian {
    SecretRealm = 0,    // 秘境
    ChallengeGames = 1, // 挑战玩法(试炼塔、地宫、仙域、山海等)
    Team = 2, // 组队玩法
}

// 主界面底部菜单按钮
export enum eHomeBottom {
    HOME = 0,
    XIUXING = 1,
    FUDI = 2,
    SHILIAN = 3,
    JIANGHU = 4,
    ZHAOMU = 5,
    ZHENFA = 6,
}

// 装扮设置界面页签类型
export enum eZhuangBanPage {
    ZhuangBan = 0,  // 装扮
    XingXiang = 1,  // 形象
    ChengHao = 2,  // 称号
}

// 形象设置界面页签类型
export enum eXingXiangPage {
    JingJie = 0,  // 境界
    HuoDong = 1,  // 活动
}

export enum eTowerChallengeState {
    CHALLENGE = 0,    // 可挑战状态
    MANUALSELECT = 1, // 手动选择加成
    AOTOSELECT = 2,   // 一键选择加成(自动)
    SECKILL = 3,      // 斩杀
}
export enum eTowerPosBuff {
    LOCK = 0,      // 未解锁
    UNLOCK = 1,    // 已解锁
    ATTR = 2,      // 加成属性
}

// 玩法商店类型枚举
export enum eGamesShop {
    CLUB = 0, // 宗门商店
    JUEXIANTAI = 1, // 绝仙台商店
    LINGMAI = 2,// 灵脉
    XIEZHU = 3,// 协助商店
    WANZU = 4,//万族盛会
    HDSHANGHUA = 5,//赏花觅宝商店
    HDCLUBPK = 6,//梵天破会商店
    HDHEFU = 7,//合服活动商店
    FAZE = 8,//法则商店
}

/**头像框颜色*/
export enum HeadBgType {
    red = 0,
    blue = 1,
    purple = 2,
}

export enum RedUtilType {
    //异象的红点
    yixiangLv = "yixiangLv",
    yixiangRank = "yixiangRank",
    yixiangPage = "yixiangPage",
    yiXiangLiBao = "yiXiangLiBao", // 异象礼包每日红点
    yiXiangHx = "yiXiangHx", // 异象化形分页红点
    yiXiangChangeBtn = "yiXiangChangeBtn", // 异象更换按钮红点

    // 宗门
    Club = "Club", // 宗门功能页签小红点
    ClubApply = "ClubApply", // 申请小红点
    NoClub = "NoClub", // 处于没加入宗门状态小红点
    ClubFreeShop = "ClubFreeShop", // 宗门商店有免费可领取小红点
    ClubAssist = "ClubAssist", // 宗门协助小红点
    ClubBoss = "ClubBoss", // 宗门boss小红点(可挑战|有可领取的试炼宝箱)
    ClubChallenge = "ClubChallenge", // 可以挑战宗门boss
    ClubChallengeAward = "ClubChallengeAward", // 试炼宝箱奖励
    ClubBossReward = "ClubBossReward", // BOSS奖励(个人伤害|宗门击杀boss)
    ClubPersonalHurtReward = "ClubPersonalHurtReward", // BOSS个人伤害奖励
    ClubKillBossReward = "ClubKillBossReward", // B宗门击杀BOSS奖励
    ClubSecrects = "ClubSecrects", // 宗门秘术
    ClubSecrectsBones = "ClubSecrectsBones", // 宗门秘术-筋骨
    ClubSecrectsJingluo = "ClubSecrectsSpirit", // 宗门秘术-元神
    ClubTask = "ClubTask", // 宗门任务领奖
    ClubTaiChuGuKuangInto = "ClubTaiChuGuKuangInto",//太初古矿入口红点
    taiChuGuKuangAuto = "taiChuGuKuangAuto",//源石矿场自动每日红点
    ClubSbEnter = "ClubSbEnter",//圣兵入口红点
    ClubOfferEscort = "ClubOfferEscort",//宗门悬赏护送红点
    XiuXin = "XiuXin",
    ShiLian = "ShiLian", // 底部菜单试炼按钮小红点

    // 秘境
    SecretRealm = "SecretRealm", // 试炼秘境页签上的小红点
    SecretRealmSweep = "SecretRealmSweep", // 秘境扫荡

    // 境界
    RealmPage = "RealmPage", // 境界页签按钮
    RealmUpGrad = "RealmUpGrad", // 境界升级按钮小红点
    RealmTaskAward = "RealmTaskAward", // 境界突破任务奖励小红点

    // 登仙路
    TowerPage = "TowerPage", // 登仙路页签项按钮
    TowerFirstFloor = "TowerFirstFloor", // 登仙路为1层时显示小红点
    TowerPassReward = "TowerSweepReward", //奖励小红点(通关层数)

    // 组队副本
    TeamPage = "TeamPage", //组队页签
    TeamApply = "TeamApply", //组队申请列表，只有队长才有
    TeamChat = "TeamChat", //组队聊天 队伍界面
    TeamAd = "TeamAd", //组队聊天 队伍界面 广告

    TeamHgjd = "TeamHgjd", // 组队副本荒古禁地
    TeamFirstRwd1 = "TeamFirstRwd1", //荒古禁地 首通奖励
    TeamFirstRwd2 = "TeamFirstRwd2", //荒古禁地 首通奖励
    TeamTask = "TeamTask", //荒古禁地 任务奖励

    TeamYdfz = "TeamYdfz", // 组队副本妖帝坟冢
    TeamYdfzFirstRwd1 = "TeamYdfzFirstRwd1", //妖帝坟冢 首通奖励
    TeamYdfzFirstRwd2 = "TeamYdfzFirstRwd2", //妖帝坟冢 首通奖励

    TeamQtxd = "TeamQtxd", // 组队副本青铜仙殿
    TeamQtxdFirstRwd1 = "TeamQtxdFirstRwd1", //青铜仙殿 首通奖励
    TeamQtxdFirstRwd2 = "TeamQtxdFirstRwd2", //青铜仙殿 首通奖励


    // 道纹
    daoWenEmptyDc = "daoWenEmptyDc",// 道纹是否有空道纹槽
    daoWenHasItem = "daoWenHasItem",// 道纹是否有道纹袋
    daoWenJieFengZhiDing = "daoWenJieFengZhiDing",// 道纹是否可指定解封
    daoWenPage = "daoWenPage",// 修行界面道纹页签红点

    // 大帝古字
    daDiGuZiChouQu = "daDiGuZiChouQu",// 检测古字是否有可抽次数
    daDiGuZiDDTX = "daDiGuZiDDTX",// 检测大道天心是否有道具可消耗
    daDiGuZiLinShi = "daDiGuZiLinShi",// 检测古字产出但未放入背包的数量超过20个
    daDiGuZiBagFull = "daDiGuZiBagFull",// 检测古字背包有未处理
    daDiGuZiAll = "daDiGuZiAll",// 修行界面大帝古字页签红点

    // 术法
    shuFaChouQu = "shuFaChouQu",// 检测获取术法是否有道具可消耗
    shuFaTuPo = "shuFaTuPo",// 检测是否有术法可突破
    shuFaShengJi = "shuFaShengJi",// 检测是否有出战术法可升级
    shuFaMingWen = "shuFaMingWen",// 检测出战的术法是否有铭文可装备
    shuFaTuJian = "shuFaTuJian",// 大帝古字-术法-图鉴入口红点
    shuFaPage = "shuFaPage",// 大帝古字-术法入口红点

    //府邸
    fudi = "fudi",//府邸底部红点
    //弟子
    diziPage = "diziPage",//弟子页红点
    diziTuJianPage = "diziTuJianPage",//弟子图鉴页红点
    diziIn = "diziIn",//弟子入口红点
    zhaoMu = "zhaoMu",//招募
    diziZhaoMu = "diziZhaoMu",//弟子招募
    //日常
    dailyTask = "dailyTask",
    //挂机奖励
    onHookRwd = "onHookRwd",
    //首页新队伍
    newTeamInfo = "newTeamInfo",

    //章节奖励
    zjrwd = 'zjrwd',
    //江湖
    jianghu = "jianghu",//主页底部江湖入口红点
    dongtian_dt = "dongtian_dt",//洞天道童
    dongtian_dtxl = "dongtian_dtxl",//洞天道童训练
    dongtian_tq_shop = 'dongtian_tq_shop',//洞天特权商店
    dongtian_tq_enter = 'dongtian_tq_enter',//洞天特权商店入口
    //斗法
    doufaTiaoZhan = "doufaTiaoZhan",//斗法挑战次数红点
    doufaRwd = "doufaRwd",//斗法领奖红点
    doufaIn = "doufaIn",//斗法入口
    //绝仙台
    juexiantaTiaoZhan = "juexiantaTiaoZhan",//绝仙台挑战
    juexiantaiChengJiu = "juexiantaiChengJiu",//绝仙台成就奖励
    juexiantaiIn = "juexiantaiIn",//绝仙台入口
    //仙域
    xianYuEnter = "xianYuEnter",//仙域入口
    xianYuTree = "xianYuTree",//仙域仙树
    xianYuTjg = "xianYuTjg",//仙域天骄阁
    xianYuTjgRole = "xianYuTjgRole",//仙域天骄阁主角
    xianYuTjgHuoban = "xianYuTjgHuoban",//仙域天骄阁伙伴
    xianYuQiFu = "xianYuQiFu",//仙域祈福
    xianYuXml = "xianYuXml",//仙域仙名录
    xianEnterList = "xianEnterList",//仙域入住
    // 兽灵
    shouLing = "shouLing",// 兽灵入口红点
    shouLingPage = "shouLingPage",// 兽灵分页红点
    ShouLingRecruitPage = "ShouLingRecruitPage",// 兽灵驯化分页红点
    ShouLingFetterPage = "ShouLingFetterPage",// 兽灵羁绊分页红点

    //地宫
    digongIn = "digongIn",//地宫入口红点
    digongNew = "digongNew",//地宫是否为新一天
    digongRwd = "digongRwd",//地宫是否有奖励可领

    // 每日挑战
    pvdIn = 'pvdIn',// 每日挑战入口红点
    pvdFight = 'pvdFight',// 每日挑战挑战红点
    pvdRwd = 'pvdRwd',// 每日挑战奖励红点

    // 罗浮仙域
    luoFuIn = 'luoFuIn',// 罗浮仙域入口红点
    luoFuAchieve = 'luoFuAchieve',// 罗浮仙域成就入口红点
    luoFuLevel = 'luoFuLevel',// 罗浮仙域关卡进度红点
    luoFuReach = 'luoFuReach',// 罗浮仙域个人首达红点

    //挑战
    tiaozhan = "tiaozhan",//挑战红点

    // 邮箱
    mail = "mail", // 邮箱入口红点
    // 背包
    bag = "bag", // 背包入口红点

    // 首页更多按钮
    homeMore = "homeMore", // 首页更多按钮入口

    //道友
    daoyouIn = "daoyouIn",//道友入口
    daoyouZS = "daoyouZS", //赠礼
    daoyouQC = "daoyouQC", //道友切磋
    daoyouJS = "daoyouJS", //道友结识
    daoyouRwd = "daoyouRwd", //道友道具

    // 阵法
    // zhenFaHasItem = "zhenFaHasItem",// 检测是否有可抽阵法的道具
    zhenFaJiaSu = "zhenFaJiaSu",// 检测阵法升级加速是否有道具可使用
    zhenFaShengJi = "zhenFaShengJi",// 检测阵法升级是否有道具可使用
    zhenFaAuto = "zhenFaAuto",// 阵法自动召唤首次红点
    zhenFaPage = "zhenFaPage",// 阵法入口
    zhenFaSetPage = "zhenFaSetPage",//阵法设置界面页签
    zhenFaOpenNum = "zhenFaOpenNum",// 阵法开启解锁新数量

    // 活动
    activityMain = 'activityMain', // 活动入口红点

    hdBanBenFuLi = "hdBanBenFuLi",//版本福利入口红点

    hdDouFa = "hdDouFa",// 玄天斗法入口红点
    hdDouFaGoTo = "hdDouFaGoTo",//玄天斗法前往红点
    hdDouFaGuess = "hdDouFaGuess",//玄天斗法竞猜红点

    // 弟子活动
    hdDiZi = 'hdDiZi', // 弟子活动入口红点
    hdDiZiTurn = 'hdDiZiTurn', // 弟子活动转盘入口红点
    hdDiZiGift = 'hdDiZiGift', // 弟子活动礼包入口红点
    hdDiZiTask = 'hdDiZiTask', // 弟子活动任务入口红点
    hdDiZiHyTask = 'hdDiZiHyTask', // 弟子活动活跃任务入口红点
    hdDiZiTsTask = 'hdDiZiTsTask', // 弟子活动探索任务入口红点
    hdDiZiGetBtn = 'hdDiZiGetBtn', // 弟子活动领取按钮红点
    hdDiZiGJBtn = 'hdDiZiGJBtn', // 弟子活动挂机按钮红点
    hdDiZiKSGJBtn = 'hdDiZiKSGJBtn', // 弟子活动快速挂机按钮红点

    // 术法活动
    hdShuFa = 'hdShuFa', // 术法活动入口红点
    hdShuFaGift = 'hdShuFaGift', // 术法活动礼包入口红点
    hdShuFaTask = 'hdShuFaTask', // 术法活动任务入口红点

    // 七日签到
    hdSignGift = 'hdSignGift', // 七日签到入口红点

    // 道纹活动
    hdDaoWen = 'hdDaoWen', // 道纹活动入口红点
    // 万族盛会活动
    hdWanZuParty = 'hdWanZuParty', // 万族盛会活动入口红点
    // 修为深造活动
    hdXiuWeiShenZao = 'hdXiuWeiShenZao', // 修为深造活动红点
    // 功能开启
    actXiantu = 'actXiantu', // 功能开启入口红点

    //充值豪礼
    chongZhiMain = 'chongZhiMain',//充值豪礼入口红点 //基金类型 境界 阵法 试炼 术法 章节
    jijinPage = 'jijinPage',//基金页签
    cardPage = 'cardPage',//特权卡页签
    ChargePage = 'ChargePage',//累充页签

    //特权卡
    hdCard = 'hdCard',//特权卡入口

    //机缘
    hdJiYuan = 'hdJiYuan',//机缘活动入口
    jiYuanYue = 'jiYuanYue',//月度机缘
    jiYuan = 'jiYuan',//机缘
    jiYuanTask = 'jiYuanTask',//机缘任务
    jiYuanGift = 'jiYuanGift',//机缘礼包

    //每日特价
    hdDayTeJia = 'hdDayTeJia',//每日特价活动入口
    DayTeHui = 'DayTeHui',//每日特惠
    DayGift = 'DayGift',//每日必购
    DayCuXiao = 'DayCuXiao',//每日豪礼
    DayLeiTianGift = 'DayLeiTianGift',//每日充值

    // 开服冲榜
    hdChongBang = 'hdChongBang', // 开服冲榜入口红点
    //开服活动
    hdKaifu = 'hdKaifu',//开服活动入口
    kaifuGift = 'kaifuGift',//开服礼包
    kaifuDuihuan = 'kaifuDuihuan',//开服兑换
    kaifuTask = 'kaifuTask',//开服任务
    kaifuTopwrd = 'kaifuTopWrd',//开服顶部红点

    //新人礼包
    hdNewUser = 'hdNewUser',//新人礼包入口

    //兽灵活动
    hdShouLing = 'hdShouLing',//兽灵活动入口
    shoulingGift = 'shoulingGift',//礼包
    shoulingTask = 'shoulingTask',//任务
    shoulingCanKill = 'shoulingCanKill',//击杀心魔

    //灵脉
    lingmai = "lingmai",//灵脉入口
    lingmaiItem = "lingmaiItem",//灵脉道具
    lingmaiShop = "lingmaiShop",//灵脉商店
    lingmaiExchange = "lingmaiExchange",//灵脉兑换
    lingmaiSit = "lingmaiSit",//没坐别人的位子

    //装扮
    zhuangban = "zhuangban",
    zbChengHao = "zbChengHao",//新称号红点
    zbHead = "zbHead",//新头像红点
    xianGuan = "xianGuan", //仙官
    zjSkin = "zjSkin", //主角皮肤
    homeHead = "homeHead",//首页头像红点

    //新阵法
    zhenFaNewAll = "zhenFaNewAll",
    zhenFaNew = "zhenFaNew",//阵法
    zhenFaNewHc = "zhenFaNewHc",//阵法一键合成

    //新阵法招募
    zhenFaZmAll = "zhenFaZmAll",
    zhenFaZm = "zhenFaZm",//阵法招募
    zhenFaJfZm = "zhenFaJfZm",//阵法积分招募

    //药田
    yaotian = "yaotian",//药田入口
    yaotianShouCai = "yaotianShouCai",//药田收菜红点
    yaotianFreeGezi = "yaotianFreeGezi",//药田空格子
    yaotianStealOver = "yaotianStealOver",//药田偷取成功
    yaotianLvUp = "yaotianLvUp",//药田升级
    yaotianOrderRwd = "yaotianOrderRwd",//药田订单完成领奖
    yaotianOrderReset = "yaotianOrderReset",//重置
    yaotianOrder = "yaotianOrder",//药田订单入口
    yaotianOrderRwdIn = "yaotianOrderRwdIn",//药田订单完成领奖 因为一个红点只能绑一个父红点，所以加一个红点，作为药田入口的红点的子红点
    yaoluLvUp = "yaoluLvUp",//药炉升级
    yaoluLvUpIn = "yaoluLvUpIn",//药炉升级 因为一个红点只能绑一个父红点，所以加一个红点，作为药田入口的红点的子红点
    yaoluUseDanyao = "yaoluUseDanyao",//丹药使用红点
    yaoluMake = "yaoluMake",//丹药制作红点
    yaolu = "yaolu",//药炉入口
    yaoshanDt = "yaoshanDt",//道童空闲
    yaoshanDtIn = "yaoshanDtIn",//道童空闲
    yaoshanLache = "yaoshanLache",//拉车完成 因为一个红点只能绑一个父红点，所以加一个红点，作为药田入口的红点的子红点
    yaoshanLacheIn = "yaoshanLacheIn",//拉车完成 因为一个红点只能绑一个父红点，所以加一个红点，作为药田入口的红点的子红点
    yaoshanLvUp = "yaoshanLvUp",//药山升级
    yaoshanLvUpIn = "yaoshanLvUpIn",//药山升级 因为一个红点只能绑一个父红点，所以加一个红点，作为药田入口的红点的子红点
    yaoshanUnlock = "yaoshanUnlock",//药山解锁
    yaoshanUnlockIn = "yaoshanUnlockIn",//药山解锁 因为一个红点只能绑一个父红点，所以加一个红点，作为药田入口的红点的子红点
    yaoshan = "yaoshan",//药山入口

    //宗门
    zongmen = "zongmen",//宗门入口
    zongmenXuanbaPage = "zongmenXuanbaPage",//宗门选拔页签
    zongmenQingqiuPage = "zongmenQingqiuPage",//宗门请求页签
    zongmenWeirenPage = "zongmenWeirenPage",//宗门委任页签
    zongmenPeiyang = "zongmenPeiyang",//宗门培养
    zongmenXuanba = "zongmenXuanba",//宗门选拔
    zongmenQingqiu = "zongmenQingqiu",//宗门请求
    zongmenWeiren = "zongmenWeiren",//宗门委任

    //法则
    faze = "faze",//法则入口
    fazeLowHuLu = "fazeLowHuLu",//葫芦1
    fazeMidHuLu = "fazeMidHuLu",//葫芦2
    fazeAdvHuLu = "fazeAdvHuLu",//葫芦3
    fazeBook = "fazeBook",//法则图鉴
    fazeBookType1 = "fazeBookType1",//法则图鉴
    fazeBookType2 = "fazeBookType2",//法则图鉴
    fazeBookType3 = "fazeBookType3",//法则图鉴
    fazeBookType4 = "fazeBookType4",//法则图鉴
    fazeBookType5 = "fazeBookType5",//法则图鉴
    faze_tq_shop = "faze_tq_shop",//法则特权每日奖励
    faze_tq_enter = "faze_tq_enter",//法则特权每日奖励入口

    // 仙路争锋
    hdXianLuVying = 'hdXianLuVying', // 仙路争锋活动入口红点
    hdXianLuShop = 'hdXianLuShop', // 仙路争锋活动商店入口红点
    hdXianLuGift = 'hdXianLuGift', // 仙路争锋活动礼包入口红点
    hdXianLuTask = 'hdXianLuTask', // 仙路争锋活动任务入口红点
    hdXianLuExchange = 'hdXianLuExchange', // 仙路争锋活动兑换入口红点
    hdXianLuRoundRwd = 'hdXianLuRoundRwd', // 仙路争锋活动任务轮次大奖红点

    //悬赏
    clubOfferLog = 'clubOfferLog',//宗门悬赏日志红点
    clubOfferRepress = 'clubOfferRepress',//宗门悬赏镇压boss红点

    // 在线福利
    hdOnLine = 'hdOnLine', // 在线福利活动入口红点

    // 节气活动
    hdJieQi = 'hdJieQi', // 节气活动入口红点
    hdJieQiAmass = 'hdJieQiAmass', // 节气活动累计大奖入口红点
    hdJieQiGift = 'hdJieQiGift', // 节气活动礼包入口红点
    hdJieQiTask = 'hdJieQiTask', // 节气活动任务入口红点

    // 仙穹之巅
    hdXianQiong = 'hdXianQiong', // 仙穹之巅入口红点
    hdXianQiongGift = 'hdXianQiongGift', // 仙穹之巅礼包入口红点
    hdXianQiongTask = 'hdXianQiongTask', // 仙穹之巅任务入口红点

    //梵天破会
    hdClubFight = "hdClubFight",//梵天破会入口红点
    hdClubFightCjRed = "hdClubFightCjRed",//成就红点
    hdClubFightCjRedOne = "hdClubFightCjRedOne",//个人成就红点
    hdClubFightCjRedClub = "hdClubFightCjRedClub",//公会成就红点
    hdClubFightShopRed = "hdClubFightShopRed",//商店红点
    hdClubFightGiftRed = "hdClubFightGiftRed",//礼包红点

    // 九霄天枢
    hdJiuXiao = 'hdJiuXiao', // 九霄天枢入口红点

    // 合服活动
    hdHeFu = 'hdHeFu', // 合服活动入口红点
    hdHefuInto = 'hdHefuInto', // 合服活动服务端下发红点
    hdHefuShop = 'hdHefuShop', // 合服活动商店入口红点
    hdHefuKuangHuan = 'hdHefuKuangHuan', // 合服活动狂欢福利入口红点
    hdHefuSign = 'hdHefuSign', // 合服活动签到入口红点
    hdHefuShenZang = 'hdHefuShenZang', // 合服活动神藏入口红点
    hdHefuShenZangTask = 'hdHefuShenZangTask', // 合服活动神藏任务红点
    hdHefuShenZangHelp = 'hdHefuShenZangHelp', // 合服活动神藏助力红点
    hdHefuShengYan = 'hdHefuShengYan', // 合服活动盛宴入口红点
    hdShengYanGift = 'hdShengYanGift', // 合服转盘活动礼包入口红点
    hdHefuFight = 'hdHefuFight', // 合服活动挑战入口红点

    // 凶兽入侵
    hdXiongShou = 'hdXiongShou', // 凶兽入侵入口红点
    hdXiongShouGift = 'hdXiongShouGift', // 凶兽入侵礼包入口红点
    hdXiongShouTask = 'hdXiongShouTask', // 凶兽入侵任务入口红点
    hdXiongShouLog = 'hdXiongShouLog', // 凶兽入侵日志入口红点

    //赏花觅宝
    hdShangHua = "hdShangHua",//赏花觅宝入口红点
    hdShangHuaGift = "hdShangHuaGift",//赏花觅宝礼包入口红点
    hdShangHuaTask = "hdShangHuaTask",//赏花觅宝任务入口红点
    hdShangHuaLeiJi = "hdShangHuaLeiJi",//赏花觅宝累计入口红点
    hdShangHuaShop = "hdShangHuaShop",//赏花觅宝兑换

    // 机缘寻宝
    hdXunBao = 'hdXunBao', // 机缘寻宝入口红点

    //天灯祈愿
    hdTianDeng = "hdTianDeng",//天灯祈愿入口红点
    hdTianDengQiYuan = "hdTianDengQiYuan",//天灯祈愿 祝福祈愿页签
    hdTIanDengFree = "hdTIanDengFree",//天灯祈愿 免费祈愿
    hdTIanDengGift = "hdTIanDengGift",//天灯祈愿 付费祈愿
    hdTianDengCodeRed = "hdTianDengCodeRed",//天灯祈愿 抽奖码
    hdTianDengProcess = "hdTianDengProcess",//天灯祈愿 祈愿进度
}
export enum JiYuanBuyType {
    // 道纹点击类型
    yue = "yue",
    jiyuan = "jiyuan",
}

//弟子读缩放偏移
export enum DiZiPointType {
    buzhen = "bz",//布阵
    info = "xx",//信息
    tujian = "tj",//图鉴
    lvUp = "sj",//升级
    get = "hd",//获得
}

export enum DaoWenClickType {
    // 道纹点击类型
    details = "details",
    fenJie = "fenJie",
    qiangHua = "qiangHua",
    yuLan = "yuLan"
}

//灵脉座位类型
export enum LingMaiSeatType {
    owner = "1",//灵脉主人位
    sub = "2",//副位 不可被抢,只能被主人驱赶
    guest1 = "3",//客人位 可被抢,可被主人驱赶
    guest2 = "4",//客人位 可被抢,可被主人驱赶
    guest3 = "5",//客人位 可被抢,可被主人驱赶
}

//灵脉座位类型
export enum LingMaiJieSuanType {
    ownerSuccess = "1",//灵脉主人结算
    normalSuccess = "2",//客人正常结算
    remove = "3",//被驱赶结算
    fail = "4",//防守失败结算
}

// 活动Kid
export enum HdKidType {
    hdDaoWen = "hdDaoWen",// 仙宫古阙
    hdShouLing = "hdShouLing",// 兽灵活动
    hdDiZi = "hdDiZi",// 弟子活动
    hdShuFa = "hdShuFa",// 术法活动
    hdXianLuVying = "hdXianLuVying",// 仙路争锋
    hdHeFu = "hdHeFu",// 合服活动
    hdWanZuParty = "hdWanZuParty",// 万族盛会
    hdJieQi = "hdJieQi",// 节气活动
    hdClubPk = "hdClubPk",//梵天破会
    hdXianQiong = "hdXianQiong",//仙穹之巅
    hdXiongShou = "hdXiongShou",//凶兽入侵
    hdShangHua = "hdShangHua",//赏花觅宝
    hdXunBao = "hdXunBao",// 机缘寻宝活动
}

// 招募页签类型
export enum ZhaoMuType {
    DiZi = 0,  // 弟子招募
    ZhenFa = 1,  // 阵法专研
    ShuFa = 2,  // 术法招募
}

// 阵法页签类型
export enum ZhenFaType {
    ZhenWen = 0,  // 阵纹
    ZhenFa = 1,  // 阵法
}

// 
export enum ChangLiang {
    popCloseTime = 500,//弹窗关闭时间
    jhCloseTime = 1500,//被结好提示关闭时间
}

//组队类型
export enum TeamFightType {
    SINGLE = 1,
    TEAM = 2,
}

//组队副本类型
export enum TeamChallengeType {
    All = 0,
    HGJD = 101,
    YDFZ = 102,
    QTXD = 103,

    HDHF = 201,//合服挑战
}
//组队战斗类型
export enum TeamFromType {
    HGJD = 'actZdHgjd',
    YDFZ = 'actZdYdfz',
    QTXD = 'actZdQtxd',
    HDHF = 'hdHeFu',
}

// 宗门频道
export enum ZongMenChannel {
    Online = "online",//在线玩家
    QuanFu = "hefu",// 全服
    Club = "club",// 宗门
    KuaFu = "kua",// 跨服
}

//宗门门徒排序
export enum MenTuSortType {
    SX = 0,
    TX = 1,
    LV = 2,
}

// 成长礼包
export enum HdGrowthFundType {
    JingJie = "1",
    ZhuangBei = "2",
    ZhuXian = "3",
    DengXianLu = "4",
    ShuFa = "5",
    FuDi = "6",
    MiJing = "7",
    ZongMen = "8",
}