import Gamecfg from "../../common/gameCfg";
import { gameMethod } from "../../common/gameMethod";
import { MailRwdAll, PlayerLoginPlayer, PlayerLoginPlayerPram, PlayerLoginUser, PlayerLoginUserPram } from "../../common/Xyc";
import { SevBack } from "../../common/Xys";
import Config from "../../Config";
import { RedUtil } from "../../frameWork/fgui/RedUtil";
import GameController from "../../GameController";
import EventMng from "../../manager/EventMng";
import ThinkingDataMgr from "../../utils/ThinkingDataMgr";
import { GameEvent, LoadEvent } from "../const/EventConst";
import { DayTipsKey, GameErrCode, PlatformType, ReportRoleType } from "../const/TypeConst";
import GameDataCenter from "../GameDataCenter";
import IDataModel from "./IDataModel";


export default class LoginModel extends IDataModel {
    KEY_ACCOUNT = 'login';
    KEY_POLICY = 'policy_agree';
    KEY_LAST_LOGIN_TIME = 'KEY_LAST_LOGIN_TIME';
    uuid: string

    // 设定进入游戏的服务器ID
    enterGameSid: string = ""
    constructor() {
        super('login');
        this.enterGameSid = ""
    }

    //隐私协议政策
    savePolicy(val: boolean) {
        this.Set(this.KEY_POLICY, val ? "1" : "0")
        this.Save()
    }
    getPolicy(): boolean {
        let result = this.Query(this.KEY_POLICY, '1');
        if (Config.policy == "0") {
            result = this.Query(this.KEY_POLICY, '0');
        }
        return result == "1"
    }

    /**缓存账号到本地 */
    saveAccount(account: string) {
        this.Set(this.KEY_ACCOUNT, account);
        this.Save();
    }

    /**从本地读取缓存账号 */
    getAccount() {
        return this.Query(this.KEY_ACCOUNT, '');
    }
    // 账号登录
    sendLoginGame(param: PlayerLoginPlayerPram) {
        this.sendLogin(PlayerLoginPlayer.url, param, (result: SevBack) => {
            if (result.type == 1) {
                EventMng.emit(GameEvent.LOGIN_ACCOUNT_SUCC);
            } else {
                if (gameMethod.isEmpty(result.win) || gameMethod.isEmpty(result.win.msgOut)) {
                    GameDataCenter.plat.showErrDialog(GameErrCode.errGameLoginPlayer)
                    EventMng.emit(GameEvent.LOGIN_ACCOUNT_FAIL);
                }
            }
        })
    }
    // 点击进入游戏按钮,并进入游戏
    sendEnterGame(sid: string) {
        // if (gameMethod.isEmpty(sid)) {
        //     sid = GameDataCenter.sevBack.playerInfo.sid
        // }
        let param: PlayerLoginUserPram = {
            uid: GameDataCenter.sevBack.playerInfo.uid,
            sid: sid,
            token: GameDataCenter.sevBack.playerInfo.token
        }
        this.sendLogin(PlayerLoginUser.url, param, (result: SevBack) => {
            if (result.type == 1) {
                GameController.network.stopRequest = false
                ThinkingDataMgr.TDLogin(result.userInfo.a.uuid);//数数数据上传
                if (result.userInfo && result.userInfo.a.regtime == result.userInfo.a.lastlogin) {
                    GameDataCenter.plat.instance.reportRole(ReportRoleType.create)
                }
                GameDataCenter.plat.instance.reportRole(ReportRoleType.online)
                EventMng.emit(GameEvent.LOGIN_USER_SUCC);
                // GameDataCenter.zhaocai.upRedState()
                //电魂角色上报
                if (window['dhSDK']) {
                    window['dhSDK'].uploadRoleInfo({
                        type: "LOGIN_GAME", // 登录游戏服时传LOGIN_GAME，创角时传CREATE_ROLE，升级时传LEVEL_UP，充值成功时传PAY_SUCCESS
                        areaId: parseInt(GameDataCenter.sevBack.userInfo?.a?.sid), // 游戏大区ID，若游戏无大区概念，可不填，默认值为 1，表示初始大区编号
                        areaName: GameDataCenter.sevBack.qufuList[GameDataCenter.sevBack.userInfo?.a?.sid].name, // 游戏大区名称
                        roleId: GameDataCenter.sevBack.userInfo?.a?.uuid, // 角色ID，若游戏无角色概念，可不填，默认值同 accountId 账号ID
                        roleName: GameDataCenter.sevBack.userInfo?.a?.name, // 角色名
                        roleLevel: GameDataCenter.sevBack.userInfo?.a?.level, // 角色等级，若游戏无角色及等级概念，可填关卡等级或不填，默认值为 1
                        roleVipLevel: 1, // 角色VIP等级
                    }, (params: any) => {
                        console.log(params);
                    });
                }
            } else {
                if (gameMethod.isEmpty(result.win) || gameMethod.isEmpty(result.win.msgOut)) {
                    GameDataCenter.plat.showErrDialog(GameErrCode.errGameLoginUser)
                    EventMng.emit(GameEvent.LOGIN_USER_FAIL);
                }
            }
        })
    }
}